-- Tables

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_MigrationProperties]') AND type in (N'U'))
	BEGIN
		CREATE TABLE [dbo].[ENSMIG_MigrationProperties]
		(
				[AutoId]						INT 														IDENTITY(1,1)													NOT NULL
			, [Property]					NVARCHAR(100) 									 																			NOT NULL
			, [Value]							NVARCHAR(512) 									 																			NOT NULL
			, CONSTRAINT 			  [PK_ENSMIG_MigrationProperties] 		PRIMARY KEY CLUSTERED
			(
				[AutoId]		ASC
			)
		)

		INSERT INTO [dbo].[ENSMIG_MigrationProperties] VALUES('Auto_Migration_Count','0')
		INSERT INTO [dbo].[ENSMIG_MigrationProperties] VALUES('Last_Catalog_Migration','0')
	END

GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoPolicyPreview]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[ENSMIG_AutoPolicyPreview]
	(
			[PolicyPreviewId]						INT 							UNIQUE 												NOT NULL
		, [ProductCode]				NVARCHAR(50)																						NOT NULL
		,	[PolicyTypeId]			INT																													NULL
		, [PolicyObjectId]		INT																													NULL
		,	[Assignments]				INT																											NOT NULL
		, [PlatformType]      INT                                                     NOT NULL  DEFAULT (2)
		,	[Name]							NVARCHAR(256) 		COLLATE SQL_Latin1_General_CP1_CI_AS 	NOT NULL
		,	[Description]				NVARCHAR(512)		COLLATE SQL_Latin1_General_CP1_CI_AS 		NOT NULL
		, [CreationTime]      DATETIME              																	NOT NULL
		, CONSTRAINT 					[PK_ENSMIG_AutoPolicyPreview] PRIMARY KEY CLUSTERED
		(
			[PolicyPreviewId]		ASC
		)
	)
END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_FWMigrationNewRules]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].ENSMIG_FWMigrationNewRules(
	[OriginalRuleId][uniqueidentifier] NOT NULL,
	[Id] [uniqueidentifier] NOT NULL,
	CONSTRAINT [PK_ENSMIG_FWMigrationNewRules] PRIMARY KEY CLUSTERED
(
	[Id] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_FWMigrationNewGroups]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].ENSMIG_FWMigrationNewGroups(
	[GroupId][uniqueidentifier] NOT NULL,
	[ShiftCount] INT,
	CONSTRAINT [PK_ENSMIG_FWMigrationNewGroups] PRIMARY KEY CLUSTERED
(
	[GroupId] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoNodeToPolicyPreview]') AND type in (N'U'))
	BEGIN
		CREATE TABLE [dbo].[ENSMIG_AutoNodeToPolicyPreview]
		(
				[AutoId]						INT 							IDENTITY(1,1)													NOT NULL
			,	[NodeId]						INT																											NOT NULL
			,	[NodeType]					INT																											NOT NULL
			, [PolicyPreviewId]   INT                                                     NOT NULL
			, [PolicyTypeId]   INT                                                     NOT NULL
			, [PlatformType]      INT                                                     NOT NULL DEFAULT (2)
			, [sourcePolicyAssignedObjects]   NVARCHAR(256)                               NOT NULL
			, CONSTRAINT 					[PK_ENSMIG_AutoNodeToPolicyPreview] PRIMARY KEY CLUSTERED
			(
				[AutoId]		ASC
			)
		)
	END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_Destination]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[ENSMIG_Destination](
		[PolicyObjectId] [int] NOT NULL,
		[TypeId] [int] NOT NULL,
		[TheTimestamp] [varbinary](8) NOT NULL,
		[Mode] [int] NOT NULL,
		[PlatformType] [int] NOT NULL DEFAULT (2),
	 CONSTRAINT [PK_ENSMIG_Destination] PRIMARY KEY CLUSTERED
	(
		[PolicyObjectId], [Mode]		ASC
	)
)
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_Source]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[ENSMIG_Source](
		[PolicyObjectId] [int] NOT NULL,
		[TypeId] [int] NOT NULL,
		[TheTimestamp] [varbinary](8) NOT NULL,
	 CONSTRAINT [PK_ENSMIG_Source] PRIMARY KEY CLUSTERED
	(
		[PolicyObjectId], [TheTimestamp]		ASC
	)
)
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_DestinationToSource]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ENSMIG_DestinationToSource](
	[DestinationPolicyId] [int] NOT NULL,
	[Mode] [int] NOT NULL,
	[SourcePolicyId] [int] NOT NULL,
	[SourceTheTimestamp] [varbinary](8) NOT NULL
) --ON [PRIMARY]
END
GO

-- Constraints

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_AutoNodeToPolicyPreview_ENSMIG_AutoPolicyPreview]') AND type = 'F')
	ALTER TABLE [dbo].[ENSMIG_AutoNodeToPolicyPreview]  WITH CHECK ADD  CONSTRAINT [FK_ENSMIG_AutoNodeToPolicyPreview_ENSMIG_AutoPolicyPreview] FOREIGN KEY([PolicyPreviewId])
	REFERENCES [dbo].[ENSMIG_AutoPolicyPreview] ([PolicyPreviewId]) ON DELETE CASCADE
GO

ALTER TABLE [dbo].[ENSMIG_AutoNodeToPolicyPreview] CHECK CONSTRAINT [FK_ENSMIG_AutoNodeToPolicyPreview_ENSMIG_AutoPolicyPreview]

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_DestinationToSource_ENSMIG_Destination]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_DestinationToSource]  WITH CHECK ADD  CONSTRAINT [FK_ENSMIG_DestinationToSource_ENSMIG_Destination] FOREIGN KEY([DestinationPolicyId], [Mode])
REFERENCES [dbo].[ENSMIG_Destination] ([PolicyObjectId], [Mode]) ON DELETE CASCADE
GO

ALTER TABLE [dbo].[ENSMIG_DestinationToSource] CHECK CONSTRAINT [FK_ENSMIG_DestinationToSource_ENSMIG_Destination]
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_DestinationToSource_ENSMIG_Source]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_DestinationToSource]  WITH CHECK ADD  CONSTRAINT [FK_ENSMIG_DestinationToSource_ENSMIG_Source] FOREIGN KEY([SourcePolicyId], [SourceTheTimestamp])
REFERENCES [dbo].[ENSMIG_Source] ([PolicyObjectId], [TheTimestamp])
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_DestinationToSource_ENSMIG_Destination]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_DestinationToSource] CHECK CONSTRAINT [FK_ENSMIG_DestinationToSource_ENSMIG_Source]
GO

-------Task Migration Tracker
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_TaskDestination]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[ENSMIG_TaskDestination](
		[TaskObjectId] [int] NOT NULL,
		[TypeId] [int] NOT NULL,
		[TheTimestamp] [varbinary](8) NOT NULL,
		[Mode] [int] NOT NULL,
	 CONSTRAINT [PK_ENSMIG_TaskDestination] PRIMARY KEY CLUSTERED
	(
		[TaskObjectId], [Mode]		ASC
	)
)
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_TaskSource]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[ENSMIG_TaskSource](
		[TaskObjectId] [int] NOT NULL,
		[TypeId] [int] NOT NULL,
		[TheTimestamp] [varbinary](8) NOT NULL,
	 CONSTRAINT [PK_ENSMIG_TaskSource] PRIMARY KEY CLUSTERED
	(
		[TaskObjectId], [TheTimestamp]		ASC
	)
)
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_TaskDestinationToSource]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ENSMIG_TaskDestinationToSource](
	[DestinationTaskId] [int] NOT NULL,
	[Mode] [int] NOT NULL,
	[SourceTaskId] [int] NOT NULL,
	[SourceTheTimestamp] [varbinary](8) NOT NULL
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskDestination]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_TaskDestinationToSource]  WITH CHECK ADD  CONSTRAINT [FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskDestination] FOREIGN KEY([DestinationTaskId], [Mode])
REFERENCES [dbo].[ENSMIG_TaskDestination] ([TaskObjectId], [Mode]) ON DELETE CASCADE
GO

ALTER TABLE [dbo].[ENSMIG_TaskDestinationToSource] CHECK CONSTRAINT [FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskDestination]
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskSource]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_TaskDestinationToSource]  WITH CHECK ADD  CONSTRAINT [FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskSource] FOREIGN KEY([SourceTaskId], [SourceTheTimestamp])
REFERENCES [dbo].[ENSMIG_TaskSource] ([TaskObjectId], [TheTimestamp])
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskDestination]') AND type = 'F')
ALTER TABLE [dbo].[ENSMIG_TaskDestinationToSource] CHECK CONSTRAINT [FK_ENSMIG_TaskDestinationToSource_ENSMIG_TaskSource]
GO
