-- Tables

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoPolicyPreview]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM   sys.columns WHERE  object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoPolicyPreview]') AND name = 'MigrationType')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_AutoPolicyPreview]
			ADD [MigrationType] [INT]  NOT NULL DEFAULT (1)
	END
END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_DestinationToSource]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME ='PK_ENSMIG_DestinationToSource')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_DestinationToSource]
		ADD CONSTRAINT [PK_ENSMIG_DestinationToSource] PRIMARY KEY CLUSTERED
		(
			[DestinationPolicyId] ASC,
			[Mode] ASC,
			[SourcePolicyId] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	END
END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_TaskDestinationToSource]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME ='PK_ENSMIG_TaskDestinationToSource')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_TaskDestinationToSource]
		ADD CONSTRAINT [PK_ENSMIG_TaskDestinationToSource] PRIMARY KEY CLUSTERED
		(
			[DestinationTaskId] ASC,
			[Mode] ASC,
			[SourceTaskId] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	END
END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_FWMigrationNewRules]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].ENSMIG_FWMigrationNewRules(
	[OriginalRuleId][uniqueidentifier] NOT NULL,
	[Id] [uniqueidentifier] NOT NULL,
	CONSTRAINT [PK_ENSMIG_FWMigrationNewRules] PRIMARY KEY CLUSTERED
(
	[Id] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_FWMigrationNewGroups]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].ENSMIG_FWMigrationNewGroups(
	[GroupId][uniqueidentifier] NOT NULL
, [ProductCode]				NVARCHAR(50)																						NOT NULL
	CONSTRAINT [PK_ENSMIG_FWMigrationNewGroups] PRIMARY KEY CLUSTERED
(
	[GroupId] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoNodeMigrationHistory]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].ENSMIG_AutoNodeMigrationHistory(
	  [NodeId]						        INT 							      UNIQUE 										NOT NULL
	, [MigrationTimestamp]				NVARCHAR(100)																		  NOT NULL
	, [UserName]                  NVARCHAR(100)																		  NOT NULL
	CONSTRAINT [PK_ENSMIG_AutoNodeMigrationHistory] PRIMARY KEY CLUSTERED
(
	[NodeId] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_MigrationProperties]') AND type in (N'U'))
BEGIN
  IF NOT EXISTS(SELECT * FROM [dbo].[ENSMIG_MigrationProperties] where [Property] like 'Last_Catalog_Migration' )
    BEGIN
		  INSERT INTO [dbo].[ENSMIG_MigrationProperties] VALUES('Last_Catalog_Migration','0')
		END
END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_Destination]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM   sys.columns WHERE  object_id=OBJECT_ID(N'[dbo].[ENSMIG_Destination]') AND name = 'PlatformType')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_Destination]
			ADD [PlatformType] [INT]  NOT NULL DEFAULT (2)
	END
END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoPolicyPreview]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM   sys.columns WHERE  object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoPolicyPreview]') AND name = 'PlatformType')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_AutoPolicyPreview]
			ADD [PlatformType] [INT]  NOT NULL DEFAULT (2)
	END
END
GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoNodeToPolicyPreview]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM   sys.columns WHERE  object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoNodeToPolicyPreview]') AND name = 'PlatformType')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_AutoNodeToPolicyPreview]
			ADD [PlatformType] [INT]  NOT NULL DEFAULT (2)
	END
	IF NOT EXISTS (SELECT * FROM   sys.columns WHERE  object_id=OBJECT_ID(N'[dbo].[ENSMIG_AutoNodeToPolicyPreview]') AND name = 'sourcePolicyAssignedObjects')
	BEGIN
		ALTER TABLE [dbo].[ENSMIG_AutoNodeToPolicyPreview]
			ADD [sourcePolicyAssignedObjects] NVARCHAR(256)  NOT NULL DEFAULT (0)
	END
END
GO