<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>

<orion:core>
    <orion:corehead>
        <orion:style context="/ENDP_MIG_META" url="/common/coreBody.css"/>
        <orion:message var="boxTitle" key="common.MigrationAssistant" escape="none"/>
        <orion:message var="dialogText1" key="migration.catalog.dialogbox.message1" escape="none"/>
        <orion:message var="dialogText2" key="migration.catalog.dialogbox.message2" escape="none"/>
        <style type="text/css">
            .informationSectionHeader {
                text-align: left;
                height: 17px;
                padding-top: 4px;
                color: #336ea9;
                font-weight: bold;
            }

            .informationSection {
                padding-left: 10px;
                padding-right: 10px;
            }
        </style>

        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:script context="/ENDP_MIG_META" src="/js/CommonHelp.js"/>
        <script type="text/javascript">
            var onNextParamMap = null;
            var migrationInProgress = false;
            var globalDisableNextButton = false;

            function fnValidateAutoProductSelection()
            {
                var bValid = true;
                $("autoProductSelectionErrorMessage").style.display = "none";
                //only perform this validation in automatic mode
                if (Boolean(${disableVSE}) && Boolean(${disableSAE}) && Boolean(${disableHIPS}))
                {
                    if(!Boolean(${disableEPM}) && !Boolean(${disableVSELinux}))
                    {
                        if ((!$('vselinuxCB').checked) && (!$('epmCB').checked))
                        {
                            $("autoProductSelectionErrorMessage").style.display = "inline";
                            bValid = false;
                        }
                    }
                    else if(!Boolean(${disableEPM}))
                    {
                        if (!$('epmCB').checked)
                        {
                            $("autoProductSelectionErrorMessage").style.display = "inline";
                            bValid = false;
                        }
                    }
                    else if(!Boolean(${disableVSELinux}))
                    {
                        if (!$('vselinuxCB').checked)
                        {
                            $("autoProductSelectionErrorMessage").style.display = "inline";
                            bValid = false;
                        }
                    }
                }

                return bValid;
            }

            /*function fnValidateVSEPlatform()
            {
                //only perform this validation in automatic mode                
                if ($("mode_auto").checked && !Boolean(${disableVSE}))
                {
                    if ($('vsePlatformSelect').value == "0")
                    {
                        $("vsePlatformErrorMessage").style.display = "inline";
                        return false;
                    }
                    else
                    {
                        $("vsePlatformErrorMessage").style.display = "none";
                        return true;
                    }
                }
                else //if in manual mode the value of the VSE policy drop box does not matter
                {
                    return true;
                }
            }*/

            function fnValidateManualPath()
            {
                if (((Boolean(${disableVSEPolicies}) && Boolean(${disableSAEPolicies}) && Boolean(${disableHIPSPolicies}) && Boolean(${disableEPMPolicies}) && Boolean(${disableVSELinuxPolicies})) ||
                        Boolean(${insufficentHCPerm})))
                {
                    OrionCore.setEnabledById('mode_manual', false);
                    OrionCore.setEnabledById('mode_auto', false);
                    OrionCore.setEnabledById('manual_policies', false);
                    OrionCore.setEnabledById('manual_clientTasks', false);
                    OrionCore.setEnabledById('manual_catalog', false);
                    $j('#insufficentHCPerm').show();
                    globalDisableNextButton = true;
                    return false;
                }
                return true
            }

            function fnNextButtonStateController(isDirty, isValid)
            {
                OrionCore.setEnabledById("nextButton", isValid && !migrationInProgress && !globalDisableNextButton);
            }

            function fnDisableManualCheck()
            {
                if (Boolean(${disableVSEPolicies}) && Boolean(${disableSAEPolicies}) && Boolean(${disableHIPSPolicies}) && Boolean(${disableEPMPolicies}) && Boolean(${disableVSELinuxPolicies}))
                {
                    OrionCore.setEnabledById('manual_policies', false);
                    OrionCore.setEnabledById('manual_clientTasks', false);
                    OrionCore.setEnabledById('manual_catalog', false);
                }
                //To disable Catalog button if HIPS extension is not present
                else if (Boolean(${disableHIPSPolicies}))
                {
                    $('catalogInfoManualDiv').style.display = "none";
                    $('catalogInfoManualDiv2').style.display = "none";
                    $('manual_catalog').checked = false;
                    $('manual_policies').checked = true;
                }

                if (Boolean(${disableVSEPolicies}) && Boolean(${disableSAEPolicies}) && Boolean(${disableEPMPolicies}) && Boolean(${disableVSELinuxPolicies}) && !Boolean(${disableHIPSPolicies}) )
                {
                    $('clientTasksInfoManualDiv').style.display = "none";
                }
            }

            function fnSetMigrationInProgress(inProgress)
            {
                migrationInProgress = inProgress;
                OrionCore.setEnabledById('mode_manual', !inProgress);
                OrionCore.setEnabledById('mode_auto', !inProgress);
                OrionCore.setEnabledById('manual_policies', !inProgress);
                OrionCore.setEnabledById('manual_clientTasks', !inProgress);
                OrionCore.setEnabledById('manual_catalog', !inProgress);
                OrionCore.setEnabledById("nextButton", !inProgress);
            }

            var migrationIntervalCheck;

            function fnCheckErrorMessages()
            {
                if (Boolean(${displayNoLegacyProductsMessage}))
                {
                    $('spacingForMessage').style.display = "";
                    $('noLegacyProductsMessage').style.display = "";
                    globalDisableNextButton = true;
                }

                if (Boolean(${displayMigrationInProgressMessage}))
                {
                    $('spacingForMessage').style.display = "";
                    $('migrationInProgressMessage').style.display = "";
                    fnSetMigrationInProgress(true);

                    migrationIntervalCheck = window.setInterval("fnCheckMigrationProgress()", 120000); //120000 milli seconds = 2 minutes
                }
            }

            function fnCheckMigrationProgress()
            {
                OrionCore.doAsyncAction("/ENDP_MIG_META/checkMigrationProgress.do", null, fnCheckMigrationProgressSuccess, fnCheckMigrationProgressFailure, "POST", true);
            }

            function fnCheckMigrationProgressSuccess(bean)
            {
                if (JSON.parse(bean)[1] == "false")
                {
                    clearInterval(migrationIntervalCheck);
                    $('spacingForMessage').style.display = "none";
                    $('migrationInProgressMessage').style.display = "none";

                    fnSetMigrationInProgress(false);
                }
            }

            function fnCheckMigrationProgressFailure()
            {
                alert("failed to check migration progress");
            }

            function fnUpdateRelatedResourceLinks()
            {
                //Update links to append user's language
                $('servicePortalAnchor').href = 'https://support.mcafee.com/ServicePortal/faces/wcnav_defaultSelection?lang=' + OrionUserLanguage.getLanguageCode();
                $('knowledgeCenterAnchor').href = 'https://support.mcafee.com/ServicePortal/faces/knowledgecenter?s=true&sm=true&p=Endpoint+Security&tab=AlRetdl&sb=mostRelevant&sbv=relevance%2Bbias1%3Anumberdecreasing%2Bdatabase&lang=' + OrionUserLanguage.getLanguageCode();
                $('supportToolsAnchor').href = 'https://support.mcafee.com/tools?lang=' + OrionUserLanguage.getLanguageCode();

                //Alternate the links background color
                var backGroundColor = "#f2f2f2";
                $('servicePortalRow').style.backgroundColor = backGroundColor;
                $('supportToolsRow').style.backgroundColor = backGroundColor;

            }

            function fnDisableAutoChecks()
            {
                if (Boolean(${disableVSE}))
                {
                    $('autoVSEDiv').style.display = "none";
                    $('autoVSEDiv2').style.display = "none";
                    $j('.mainMigrationAutoVSEHelp').hide();
                    $j('.mainMigrationManualVSEHelp').hide();
                }
                if (Boolean(${disableEPM}))
                {
                    $('autoEPMDiv').style.display = "none";
                    $j('.mainMigrationAutoEPMHelp').hide();
                }
                if (Boolean(${disableVSELinux}))
                {
                    $('autoVSELinuxDiv').style.display = "none";
                    $j('.mainMigrationAutoVSELinuxHelp').hide();
                }

                if(Boolean(${disableEPM}) && Boolean(${disableVSELinux}))
                {
                    $('autoNonWindowsDiv').style.display = "none";
                }
            }

            function fnLocalOnLoad()
            {
                fnUpdateRelatedResourceLinks();
                fnPopulateUserSelection();
                fnDisableAutoChecks();
                fnDisableManualCheck();

                OrionForm.addFieldValidators('epmCB', [fnValidateAutoProductSelection]);
                OrionForm.addFieldValidators('vselinuxCB', [fnValidateAutoProductSelection]);
                //OrionForm.addFieldValidators('vsePlatformSelect', [fnValidateVSEPlatform]);
                OrionForm.addFieldValidators('mode_manual', [fnValidateManualPath]);
                OrionForm.setStateChangeHandler(fnNextButtonStateController);
                OrionForm.revalidate();
                OrionForm.rescan();

                fnCheckErrorMessages();

                setHelpId("GUID-883B3FAA-B208-4CC6-93CD-59E91A165A39.html");
            }

            function fnPopulateUserSelection()
            {
                $j('.autoMigrationSystemSelection').hide();
                $j('.autoMigrationAdditionalOptions').hide();
                if ('${userSelectionInfo.mode}' == 'MANUAL')
                {
                    $('mode_manual').checked = true;

                    if ('${userSelectionInfo.manualObjectsToMigrate}' == 'CATALOG')
                    {
                        $('manual_catalog').checked = true;
                    }
                    else if ('${userSelectionInfo.manualObjectsToMigrate}' == 'POLICIES')
                    {
                        $('manual_policies').checked = true;
                    }
                    else
                    {
                        $('manual_clientTasks').checked = true;
                    }

                }
                else
                {
                    $('mode_auto').checked = true;
                    fnShowAutoMode();


	                    //***************** VSE *****************//
 					if (!Boolean(${disableVSE}))
                	{
	                    /*if ('${userSelectionInfo.autoVSEPolicySection}' == 'SELECTONE')
	                    {
	                        $('vsePlatformSelect').value = 0;
	                    }
	                    else*/ if ('${userSelectionInfo.autoVSEPolicySection}' == 'WORKSTATION')
	                    {
	                        //$('vsePlatformSelect').value = 0;
                            $('workstation_only').checked = true;
	                    }
	                    else if ('${userSelectionInfo.autoVSEPolicySection}' == 'SERVER')
	                    {
	                       // $('vsePlatformSelect').value = 1;
                            $('server_only').checked = true;
	                    }
                        else if ('${userSelectionInfo.autoVSEPolicySection}' == 'WORKSTATIONSERVER')
                        {
                            //$('vsePlatformSelect').value = 2;
                            $('workstation_server').checked = true;
                        }
	                }
                }

            }

            function fnShowAutoMode()
            {
                $j('.mainMigrationAuto').show();
                $j('.mainMigrationManual').hide();
                $j('.mainMigrationManualVSEHelp').hide();
                $j('.autoMigrationSystemSelection').show();

                if (Boolean(${disableVSE}))
                {
                    $j('.mainMigrationAutoVSEHelp').hide();
                }
                else
                {
                    $j('.mainMigrationAutoVSEHelp').show();
                    $j('.autoMigrationAdditionalOptions').show();
                }

                if (Boolean(${disableEPM}))
                {
                    $j('.mainMigrationAutoEPMHelp').hide();
                }
                else
                {
                    $j('.mainMigrationAutoEPMHelp').show();
                    $j('.autoMigrationAdditionalOptions').show();
                }

                if (Boolean(${disableVSELinux}))
                {
                    $j('.mainMigrationAutoVSELinuxHelp').hide();
                }
                else
                {
                    $j('.mainMigrationAutoVSELinuxHelp').show();
                    $j('.autoMigrationAdditionalOptions').show();
                }

                if (Boolean(${disableHIPS}))
                {
                    $j('.mainMigrationAutoHIPSHelp').hide();
                }
                else
                {
                    $j('.mainMigrationAutoHIPSHelp').show();
                }

                if (Boolean(${disableSAE}))
                {
                    $j('.mainMigrationAutoSAEHelp').hide();
                }
                else
                {
                    $j('.mainMigrationAutoSAEHelp').show();
                }

                if (Boolean(${insufficentVSEPerm}))
                {
                    $j('#insufficentVSEPerm').show();
                }

                if (Boolean(${insufficentEPMPerm}))
                {
                    $j('#insufficentEPMPerm').show();
                }

                if (Boolean(${insufficentVSELinuxPerm}))
                {
                    $j('#insufficentVSELinuxPerm').show();
                }

                if (Boolean(${insufficentHIPSPerm}))
                {
                    $j('#insufficentHIPSPerm').show();
                }

                if (Boolean(${insufficentSAEPerm}))
                {
                    $j('#insufficentSAEPerm').show();
                }

                if (Boolean(${insufficentHCPerm}))
                {
                    $j('#insufficentHCPerm').show();
                }

                if (Boolean(${insufficentTPPerm}))
                {
                    $j('#insufficentTPPerm').show();
                }

                if (Boolean(${insufficentFWPerm}))
                {
                    $j('#insufficentFWPerm').show();
                }

                if (Boolean(${insufficentWCPerm}))
                {
                    $j('#insufficentWCPerm').show();
                }
            }

            function fnShowManualMode()
            {
                $j('.mainMigrationAuto').hide();
                $j('.mainMigrationAutoVSEHelp').hide();
                $j('.mainMigrationAutoEPMHelp').hide();
                $j('.mainMigrationAutoHIPSHelp').hide();
                $j('.mainMigrationAutoSAEHelp').hide();
                $j('.autoMigrationSystemSelection').hide();
                $j('.autoMigrationAdditionalOptions').hide();
                $j('.mainMigrationManual').show();

                if (!Boolean(${disableVSE}))
                {
                    $j('.mainMigrationManualVSEHelp').show();
                }
            }

            function _okHandler()
            {
                OrionCore.dialogBoxOkHandler = null;
                OrionCore.doFormAction("/ENDP_MIG_META/processLandingPageNext.do", onNextParamMap, "POST");
            }


            function fnInvokeNext()
            {
                OrionCore.showPleaseWait(true);
                onNextParamMap = ["mode"];

                if ($('mode_auto').checked)
                {
                    onNextParamMap.push("auto");
                    onNextParamMap.push("isCompleteSystemTreeMigrated");
                    if ($('autoMode_completeSTMigration').checked)
                    {
                        onNextParamMap.push("true");
                    }
                    else
                    {
                        onNextParamMap.push("false");
                    }
                    onNextParamMap.push("vsePlatformSelect");
                    if($('workstation_only').checked)
                    {
                        onNextParamMap.push("0");
                    }
                    else if($('server_only').checked)
                    {
                        onNextParamMap.push("1");
                    }
                    else
                    {
                        onNextParamMap.push("2");
                    }

                    onNextParamMap.push("true");

                    OrionCore.doFormAction("/ENDP_MIG_META/processLandingPageNext.do", onNextParamMap, "POST");
                }
                else
                {
                    onNextParamMap.push("manual");

                    onNextParamMap.push("manualMode");

                    if ($('manual_catalog').checked)
                    {
                        OrionCore.showPleaseWait(false);
                        onNextParamMap.push("catalog");
                        updateDialogOkButton();
                        OrionCore.dialogBoxOkHandler = fnDialogOKHandler;
                        OrionCore.dialogBoxCancelHandler = fnDialogCancelHandler;
                        OrionCore.setDialogBoxTitle("${boxTitle}");
                        var message = "${dialogText1}<br/><br/>${dialogText2}";
                        OrionCore.showDialogBox(true,message, OrionCore.DIALOG_OK_CANCEL);
                    }
                    else if ($('manual_policies').checked)
                    {
                        onNextParamMap.push("policies");
                        OrionCore.doFormAction("/ENDP_MIG_META/processLandingPageNext.do", onNextParamMap, "POST");
                    }
                    else
                    {
                        onNextParamMap.push("clientTasks");
                        OrionCore.doFormAction("/ENDP_MIG_META/processLandingPageNext.do", onNextParamMap, "POST");
                    }
                }
            }
            function fnDialogOKHandler()
            {
                $('spacingForMessage').style.display = "";
                $('migrationInProgressMessage').style.display = "";
                OrionCore.dialogBoxOkHandler = null;
                fnSetMigrationInProgress(true);
                OrionCore.doFormAction("/ENDP_MIG_META/processLandingPageNext.do", onNextParamMap, "POST");
            }

            function fnDialogCancelHandler()
            {
                OrionCore.dialogBoxOkHandler = null;
                OrionCore.dialogBoxCancelHandler = null;
                OrionCore.doFormAction("/ENDP_MIG_META/displayLandingPage.do", null);
            }
            function updateDialogOkButton()
            {
                $('orion.dialog.box.ok').value = "Save";
            }
        </script>
    </orion:corehead>
    <orion:corebody onload="fnLocalOnLoad()">
        <orion:navigation tabId="ENDP_MIG_META.migration.tab"/>
        <orion:content>
            <orion:vbox>
                <orion:titlebar id="titleBar"/>
                <orion:hbox>
                    <orion:vbox id="informationSection" width="300">
                        <orion:box>
                            <div id="gettingStatedTitle"
                                 class="informationSection informationSectionHeader OrionFooterBar">
                                <orion:message key="migration.main.gettingStarted" escape="html"/>
                            </div>
                            <br/>

                            <div id="gettingStartedContent" class="informationSection">
                                <p id="autoInformationP1" class="mainMigrationAuto mainMigrationAutoHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationP1" escape="html"/>
                                </p>

                                <p id="autoInformationP2" class="mainMigrationAuto mainMigrationAutoHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationP2" escape="html"/>
                                </p>

                                <p id="autoInformationVSE" class="mainMigrationAuto mainMigrationAutoHelp mainMigrationAutoVSEHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationVSE" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationPolicies" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationClientTasks" escape="html"/>
                                </p>

                                <p id="autoInformationHIPS" class="mainMigrationAuto mainMigrationAutoHelp mainMigrationAutoHIPSHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationHIPS" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationPolicies" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationHIPSCatalog" escape="html"/>
                                </p>

                                <p id="autoInformationSAE" class="mainMigrationAuto mainMigrationAutoHelp mainMigrationAutoSAEHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationSAE" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationPolicies" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationClientTasks" escape="html"/>
                                </p>

                                <p id="autoInformationEPM" class="mainMigrationAuto mainMigrationAutoHelp mainMigrationAutoEPMHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationEPM" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationPolicies" escape="html"/>
                                </p>

                                <p id="autoInformationVSELinux" class="mainMigrationAuto mainMigrationAutoHelp mainMigrationAutoVSELinuxHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationVSELinux" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationPolicies" escape="html"/>
                                    <br/>
                                    &nbsp;&bull;&nbsp;<orion:message key="migration.main.autoInformationClientTasks" escape="html"/>
                                </p>

                                <p id="autoInformationP3" class="mainMigrationAuto mainMigrationAutoHelp" style="display: none">
                                    <orion:message key="migration.main.autoInformationP3" escape="html"/>
                                </p>

                                <p id="manualInformationP1" class="mainMigrationManual">
                                    <orion:message key="migration.main.manualInformationP1" escape="html"/>
                                </p>

                                <p id="manualInformationP2" class="mainMigrationManual">
                                    <orion:message key="migration.main.manualInformationP2" escape="html"/>
                                </p>

                                <p id="manualInformationP3" class="mainMigrationManual">
                                    <orion:message key="migration.main.manualInformationP3" escape="html"/>
                                </p>

                                <br/>
                            </div>
                        </orion:box>
                        <orion:box>
                            <div id="relatedResourcesTitle"
                                 class="informationSection informationSectionHeader OrionFooterBar">
                                <orion:message key="migration.main.relatedResources" escape="html"/>
                            </div>
                            <br/>

                            <div id="relatedResourcesContent" class="informationSection">
                                <table class="linksDashboard">
                                    <tbody>
                                    <tr class="orionTableRow" id="migrationGuideRow">
                                        <td class="linksDashboardCell">
                                            <strong>
                                                <a href="javascript:OrionHelp.showHelp('emg_1050/source/pageref/GUID-D11F2EE3-06E6-4A28-B486-5C58717B18D0.html');"><orion:message
                                                        key="migration.main.migrationGuideRelatedResource" escape="html"/></a>
                                            </strong>
                                            <br>
                                            <orion:message key="migration.main.migrationGuideRelatedResourceDesc" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr class="orionTableRow" id="servicePortalRow">
                                        <td class="linksDashboardCell">
                                            <strong>
                                                <a id="servicePortalAnchor" href="https://support.mcafee.com/ServicePortal/faces/wcnav_defaultSelection?lang="
                                                   target="_blank"><orion:message key="migration.main.servicePortalRelatedResource" escape="html"/></a>
                                            </strong>
                                            <br>
                                            <orion:message key="migration.main.servicePortalRelatedResourceDesc" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr class="orionTableRow" id="knowledgeCenterRow">
                                        <td class="linksDashboardCell">
                                            <strong>
                                                <a id="knowledgeCenterAnchor"
                                                   href="https://support.mcafee.com/ServicePortal/faces/knowledgecenter?s=true&sm=true&p=Endpoint+Security&tab=AlRetdl&sb=mostRelevant&sbv=relevance%2Bbias1%3Anumberdecreasing%2Bdatabase&lang="
                                                   target="_blank"><orion:message key="migration.main.knowledgeCenterRelatedResource" escape="html"/></a>
                                            </strong>
                                            <br>
                                            <orion:message key="migration.main.knowledgeCenterRelatedResourceDesc" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr class="orionTableRow" id="supportToolsRow">
                                        <td class="linksDashboardCell">
                                            <strong>
                                                <a id="supportToolsAnchor" href="https://support.mcafee.com/tools?lang=" target="_blank"><orion:message
                                                        key="migration.main.supportToolsRelatedResource" escape="html"/></a>
                                            </strong>
                                            <br>
                                            <orion:message key="migration.main.supportToolsRelatedResourceDesc" escape="html"/>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </orion:box>
                    </orion:vbox>
                    <orion:vdivider id="divider" resizeTarget="informationSection" resizeMinimum="100"/>
                    <orion:vbox id="mainBody">
                        <orion:hbox>
                            <orion:box>
                                <table class="tableFullWidth">
                                    <tr id="spacingForMessage" class="landingPageErrorMessage" style="display: none">
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr id="noLegacyProductsMessage" class="landingPageErrorMessage" style="display: none">
                                        <td colspan="4" class="errorText">
                                            <orion:message key="error.NoLegacyProducts" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr id="migrationInProgressMessage" class="landingPageErrorMessage" style="display: none">
                                        <td colspan="4" class="errorText">
                                            <orion:message key="error.MigrationInProgress" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr id="insufficentHCPerm" class="landingPageErrorMessage" style="display: none">
                                        <td colspan="4" class="errorText">
                                            <orion:message key="error.insufficentHCPerm" escape="html"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td class="orionSummaryHeader" valign="top">
                                            <orion:message key="common.Mode" escape="html"/>
                                        </td>
                                        <td class="orionSummaryColumn" valign="top" style="border-top-style: solid">
                                            <orion:message key="migration.main.selectMigrationMode" escape="html"/>
                                            <br/>
                                            <orion:message key="migration.main.autoMode" var="autoModeText"
                                                           escape="None"/>
                                            <orion:message key="migration.main.manualMode" var="manualModeText"
                                                           escape="None"/>
                                            <orion:radiobutton id="mode_manual" name="mode_RB" text="${manualModeText}"
                                                               onclick="fnShowManualMode();"/>
                                            <br/>
                                            <orion:radiobutton id="mode_auto" name="mode_RB" text="${autoModeText}"
                                                               onclick="fnShowAutoMode();"/>
                                        </td>
                                    </tr>
                                    <tr class="autoMigrationSystemSelection">
                                        <td class="orionSummaryHeader" valign="top">
                                            <orion:message key="migration.main.auto.systemSelection" escape="html"/>
                                        </td>
                                        <td class="orionSummaryColumn" valign="top">
                                        <div class="mainMigrationAuto" style="display: none">
                                            <div id="STMigrationSelection">
                                                <orion:message key="migration.main.completeSTMigration" var="completeSTMigrationText"
                                                               escape="None"/>
                                                <orion:message key="migration.main.selectiveSTMigration" var="selectiveSTMigrationText"
                                                               escape="None"/>
                                                <orion:radiobutton id="autoMode_completeSTMigration" name="mode_autoSelectST_RB" text="${completeSTMigrationText}"
                                                                   checked="true"/>
                                                <br/>
                                                <orion:radiobutton id="autoMode_selectiveSTMigration" name="mode_autoSelectST_RB" text="${selectiveSTMigrationText}"/>
                                                <br/>
                                            </div>
                                        </div>
                                        </td>
                                    </tr>
                                    <tr class="autoMigrationAdditionalOptions">
                                        <td class="orionSummaryHeader" valign="top">
                                            <orion:message key="migration.main.auto.additionalOptions" escape="html"/>
                                        </td>
                                        <td class="orionSummaryColumn" valign="top">
                                            <div id="autoNonWindowsDiv">
                                                <orion:message key="migration.main.auto.EPMPolicies" var="EPMPoliciesText" escape="none"/>
                                                <orion:message key="migration.main.auto.VSELinuxPolicies" var="VSELinuxPoliciesText" escape="none"/>

                                                <!--<orion:message key="migration.main.autoModeMigratePoliciesFor" escape="html"/>-->
                                                    <span id="autoProductSelectionErrorMessage" style='color:red'>
                                                            <orion:message key="migration.main.auto.starRequired" escape="html"/>
                                                    </span>

                                                <div id="autoEPMDiv">
                                                    <orion:checkbox id="epmCB" name="epmCB" text="${EPMPoliciesText}" checked="true" />
                                                </div>
                                                <div id="autoVSELinuxDiv">
                                                    <orion:checkbox id="vselinuxCB" name="vselinuxCB" text="${VSELinuxPoliciesText}" checked="true" />
                                                </div>
                                                <!--<div id="autoVSEDiv2">
                                                    <orion:message key="migration.main.autoModeAll" escape="html"/>
                                                    <b><orion:message key="migration.main.autoModeWindows" escape="html"/></b>
                                                    <orion:message key="migration.main.autoModeWindowsP2" escape="html"/>
                                                </div>-->
                                                <div id="autoVSEDiv2" style="padding-left: 0.6cm">
                                                        ${windowsPoliciesMessage}
                                                </div>
                                                </br>
                                            </div>
                                            <div class="mainMigrationAuto" style="display: none">
                                                <div id="autoVSEDiv">
                                                    <!--<br/>-->
                                                    <orion:message key="migration.main.autoModeVSETypeSelection" escape="html"/>
                                                    <!--<orion:message key="common.SelectOne" var="selectOneText" escape="none"/>
                                                    <orion:message key="common.Workstation" var="workstationText" escape="none"/>
                                                    <orion:message key="common.Server" var="serverText" escape="none"/>
                                                    <orion:message key="common.WorkstationServer" var="workstationserverText" escape="none"/>-->

                                                    <br>
                                                    <!--<select id="vsePlatformSelect" name="vsePlatformSelect">
                                                        <option value="0">${selectOneText}</option>
                                                        <option value="1">${workstationText}</option>
                                                        <option value="2">${serverText}</option>
                                                        <option value="3">${workstationserverText}</option>
                                                    </select>-->
                                                    <orion:radiobutton id="workstation_only" name="mode_platformSelect_RB" text="${workstationText}"
                                                                                                          checked="true"/>
                                                    <br/>
                                                    <orion:radiobutton id="server_only" name="mode_platformSelect_RB" text="${serverText}"/>
                                                    <br/>
                                                    <orion:radiobutton id="workstation_server" name="mode_platformSelect_RB" text="${workstationserverText}"/>
                                                    <br/>

                                                    <!--<span id="vsePlatformErrorMessage" style='color:red'>
                                                        <orion:message key="common.starRequired" escape="html"/>
                                                    </span>
                                                    <br/>-->
                                                </div>
                                                <!--<orion:message key="migration.main.autoModeNote" escape="html"/>-->
                                                <div id="insufficentVSEPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentVSEPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentEPMPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentEPMPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentVSELinuxPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentVSELinuxPerm=" escape="html"/>
                                                </div>
                                                <div id="insufficentHIPSPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentHIPSPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentSAEPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentSAEPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentTPPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentTPPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentFWPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentFWPerm" escape="html"/>
                                                </div>
                                                <div id="insufficentWCPerm" class="errorText" style="display: none">
                                                    <orion:message key="warn.insufficentWCPerm" escape="html"/>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr class="mainMigrationManual">
                                        <td class="orionSummaryHeader" valign="top">
                                            <orion:message key="migration.main.manual.objectsToMigrate" escape="html"/>
                                        </td>
                                        <td class="orionSummaryColumn" valign="top">
                                            <orion:message key="migration.main.manual.modeObjects" escape="html"/>
                                            <span id="catalogInfoManualDiv">
                                                <orion:message key="migration.main.manual.catalogPoliciesMappingMessage" escape="html"/>
                                            </span>
                                            </br>
                                            <div id="catalogInfoManualDiv2">
                                                <orion:message key="common.FirewallCatalog" var="manualCatalogText"
                                                               escape="None"/>
                                                <orion:radiobutton  id="manual_catalog" name="manual_RB"
                                                                   text="${manualCatalogText}"/>
                                                <div class="catalogMigratedTimeText">
                                                    <orion:message key="${catalogMigrationMessage}" escape="none"/>
                                                </div>
                                                </br>
                                            </div>
                                            <div id="policyInfoManualDiv">
                                                <orion:message key="common.Policies" var="manualPoliciesText"
                                                               escape="None"/>
                                                <orion:radiobutton id="manual_policies" name="manual_RB"
                                                                   text="${manualPoliciesText}"/>
                                                </br>
                                            </div>
                                            <div id="clientTasksInfoManualDiv">
                                                <orion:message key="common.ClientTasks" var="manualClientTasksText"
                                                               escape="None"/>
                                                <orion:radiobutton id="manual_clientTasks" name="manual_RB"
                                                                   text="${manualClientTasksText}"/>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </orion:box>
                        </orion:hbox>
                        <orion:hbox height="32">
                            <orion:box>
                                <orion:footerbar>
                                    <orion:message key="common.Next" var="nextText" escape="none"/>
                                    <orion:button id="nextButton" text="${nextText}" onclick="fnInvokeNext()"/>
                                </orion:footerbar>
                            </orion:box>
                        </orion:hbox>
                    </orion:vbox>
                </orion:hbox>
            </orion:vbox>
        </orion:content>
    </orion:corebody>
</orion:core>
