var ENSWizardNavigateStep;
var ENSWizardStepName;
var ENSWizardDirection;
var ENSWizardDoAsyncAction;
var ENSWizardDoAction;

function wizardNavigationController(isDirty, isValid)
{
    if (isValid)
    {
        OrionWizard.enableNavigation();
    }
    else
    {
        OrionWizard.disableNavigation();
    }
}

function fnCommonWizardOnLoad()
{
    if (OrionForm.isFormValid())
    {
        OrionWizard.enableNavigation();
    }
    OrionForm.setStateChangeHandler(wizardNavigationController);

    if (typeof(fnWizardLocalOnLoad) == "function")
    {
        OrionCore.addLoadHandler(fnWizardLocalOnLoad);
    }

    OrionCore.addResizeHandler(adjustWizardBreadCrumbDelayed);
}

function fnPolicyWizardOnLoad()
{
    /***** Summary should be the only page with summaryID defined *****/
    if (!$("summaryID"))
    {
        /***** Force Policy Name validation *****/
        OrionForm.setValidateWhenEmpty('policyName', true);

        /***** Overwrite OrionWizard functions *****/
        ENSWizardNavigateStep = OrionWizard.navigateStep;

        OrionWizard.navigateStep = function (stepName, direction)
        {
            ENSWizardStepName = stepName;
            ENSWizardDirection = direction;

            /***** Overwrite OrionCore.doAsyncFormAction function to control navigation *****/
            ENSWizardDoAsyncAction = OrionCore.doAsyncFormAction;
            OrionCore.doAsyncFormAction = function (action, params, __callback, __failure, options)
            {
                ENSWizardDoAsyncAction(action, params, ENSWizardApplyPolicySuccess, ENSWizardApplyPolicyFailure, options)
            }

            epoApplyPolicySettings();
        }
    }

    fnCommonWizardOnLoad();
}

function fnTaskWizardOnLoad()
{
    /***** Summary should be the only page with summaryID defined *****/
    if (!$("summaryID"))
    {
        /***** Force Policy Name validation *****/
        OrionForm.setValidateWhenEmpty('taskName', true);
    }

    fnCommonWizardOnLoad();
}


function ENSWizardApplyPolicySuccess()
{
    OrionWizard.navigateStep = ENSWizardNavigateStep;
    OrionWizard.navigateStep(ENSWizardStepName, ENSWizardDirection);
}

function ENSWizardApplyPolicyFailure()
{
    OrionCore.showPleaseWait(false);
    alert("Policy failed to save, try again?");
}

function epoDisableApplyButton()
{
    //Overload ePO policy buttons to control wizard next button.
    
    if (OrionForm.isFormValid())
    {
        OrionWizard.enableNavigation();
    }
    else
    {
        OrionWizard.disableNavigation();
    }
        
}

function epoEnableApplyButton()
{
    //Overload ePO policy buttons to control wizard next button.
    OrionWizard.enableNavigation();
}

function validatePolicyName(str)
{
    var retVal = true;
    var policies = $('policyList').value;
    var str2 = "," + OrionCore.trim(str) + ",";
    if (-1 < policies.toLowerCase().indexOf(str2.toLowerCase()))
    {
        $j('#policyNameError').text($j('#duplicateNameError').text())
        retVal = false;
    }
    else if (",," == str2)
    {
        $j('#policyNameError').text($j('#requiredNameError').text());
        retVal = false;
    }
    return retVal;
}

var lastRefresh = 0;

function adjustWizardBreadCrumbDelayed()
{
    currentDate = new Date();
    currentTime = currentDate.getTime();
    if (lastRefresh < currentTime)
    {
        lastRefresh = currentTime + 250;
        setTimeout(adjustWizardBreadCrumb, 250);
    }

}

function adjustWizardBreadCrumb()
{
    var width = $('wizardBreadCrumb').style.width;
    width = width.substring(0, width.length - 2);
    var scrollWidth = $('wizardBreadCrumb').scrollWidth;

    $('wizardBreadCrumb').style.overflow = "auto";

    if (scrollWidth > width)
    {
        $('wizardBreadCrumb').style.height = "42px";
        if ($('wizardInstructions'))
        {
            $('wizardInstructions').style.top = '42px';
        }
        if ($('wizardMainBody'))
        {
            $('wizardMainBody').style.top = '90px';
        }
    }
    else
    {
        $('wizardBreadCrumb').style.height = '24px';
        if ($('wizardInstructions'))
        {
            $('wizardInstructions').style.top = '24px';
        }
        if ($('wizardMainBody'))
        {
            $('wizardMainBody').style.top = '66px';
        }
    }
}


function validateTaskName(str)
{
    var retVal = true;
    var tasks = $('taskList').value;
    var str2 = "," + OrionCore.trim(str) + ",";
    if (-1 < tasks.toLowerCase().indexOf(str2.toLowerCase()))
    {
        $j('#taskNameError').text($j('#duplicateNameError').text())
        retVal = false;
    }
    else if (",," == str2)
    {
        $j('#taskNameError').text($j('#requiredNameError').text());
        retVal = false;
    }
    return retVal;
}

function setHelpId(helpPage)
{
    OrionHelp.setHelpId("emg_1050/source/pageref/" + helpPage);
}