<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<orion:message var="treeTitleBar" key="auto.migration.preview.tree.title" escape="none"/>
<orion:message var="treetempTitleBar" key="auto.migration.preview.tree.tempTitle" escape="none"/>
<orion:message var="previewInstructionsVar" key="policy.preview.PreviewInstructions" escape="none"/>
<orion:core>
    <orion:corehead>
        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:style context="/ENDP_MIG_META" url="/common/coreBody.css"/>
        <orion:script context="/ENDP_MIG_META" src="/js/CommonHelp.js"/>

       <style type="text/css">
        .progressBarHeaderPaneInstructions
        {
            padding-left: 0px;
         overflow: hidden;
         height: 48px;
         background-color: #EBEBEB;
        }

        .progressBarHeaderPaneImg
        {
            overflow: hidden;
            left:0px;
            right: 1px;
            height: 48px;
            background-color: #EBEBEB;
        }
        </style>
        <script type="text/javascript">
            var readyForPreview = "${readyForPreview}";
            var table;
            var loaded = false;
            var g_szCurPoID = null;
            function fnOnLoad()
            {
                setHelpId("GUID-6AF84F96-B60E-4D54-9293-3016CB8FF2BA.html");
                if ("${generatePreview}" == "true")
                {
                    var count = "${previewPolicyObjectCount}".fontcolor("green");
                    document.getElementById("totalCount").innerHTML =count;
                    OrionCore.doAction("ENDP_MIG_META/getPreviewData.do");
                    $("progressBarPane").style.display = "block";
                    $("generatingPreview").style.display = "block";
                    enableButton("acceptButton",false);
                    enableButton("declineButton",false);
                }
                else
                {
                    LoadPreviewProductsDetails();
                }
            }

            function LoadPreviewProductsDetails()
            {
                if ("${readyForPreview}" == "true")
                {
                    table = MFSTable.get("PolicyPreviewTable");
                    var index = "${migPreviewTreeIndex}";
                    if (index.length > 0) {
                        var node = OrionTree.getNodeByKey("PolicyPreviewTree", index);
                        OrionTree.setSelectedNode(node);
                        OrionTree.setExpandState(node, true);
                        fnSetTitle(node);
                    }

                }
                else
                {
                    if ("${enableAccept}" == "true")
                    {
                        enableButton("acceptButton",true);
                        enableButton("declineButton",true);
                    }
                    else
                    {
                        enableButton("acceptButton",false);
                        enableButton("declineButton",false);
                    }
                }
                loaded = true;
            }



            function fnOnSelectTreeNode(node) {
                if (loaded) {
                    var nodeKey = OrionTree.getNodeKey(node);
                    table.setFilter(nodeKey);
                    fnSetSelectedNode(node);
                    fnSetTitle(node);
                }
            }

            function fnSetSelectedNode(node) {
                var mapParams = ["migPreviewTreeIndex", OrionTree.getNodeKey(node)];
                OrionCore.doAsyncAction("/ENDP_MIG_META/setSelectedNode.do", mapParams, null, null, "POST");
            }

            fnNameTrim = function(name)
            {
                return OrionCore.trim(name).replace(/ +/g, " ");
            }

            function fnDialogCleanup()
            {
                OrionForm.setStateChangeHandler(null);
            }

            function fnOnRenamePolicyOK()
            {

                var mapParams = ["poName", fnNameTrim($("otID_PreviewPolicyName").value.replace(/,+/g, " ")), "ppAutoID", g_szCurPoID, "typeID", "${PolicyTypeId}", "polNotes", fnNameTrim($("otID_PreviewPolicyNotes").value)];
                OrionForm.unregisterField("otID_PreviewPolicyName");
                fnDialogCleanup();
                OrionCore.doAsyncAction("/ENDP_MIG_META/PreviewRenamePolicy.do", mapParams, fnRenameCallback, null, "POST");
            }

            function fnRenameCallback(szReturnText)
            {

                if (szReturnText == "POLICY_NAME_ALREADY_EXISTS")
                {
                    fnRenamePolicyDetails(g_szCurPoID, szReturnText);
                }
                else
                    fnRefreshTable();
            }

            function fnOnRenamePolicyCancel()
            {
                OrionForm.unregisterField("otID_PreviewPolicyName");
                fnDialogCleanup();
            }

            function fnRefreshTable()
            {

                var table = MFSTable.get("PolicyPreviewTable");
                table.refresh();
            }

            function fnRenamePolicyDetails(szID, szStatusValidation)
            {

                var szDisplayValidationText = "none";
                if (szStatusValidation != null)
                    szDisplayValidationText = "block";
                g_szCurPoID = szID;
                OrionCore.dialogBoxOkHandler     = fnOnRenamePolicyOK;
                OrionCore.dialogBoxCancelHandler = fnOnRenamePolicyCancel;
                OrionCore.setDialogBoxTitle('<orion:message key="preview.rename.policy.title" escape="javascript" />');
                OrionCore.showAsyncDialogBox(true, "/ENDP_MIG_META/ShowRenamePolicy.do?displayValidationText=" + szDisplayValidationText + "&ppoID=" + szID);
            }

            function _okDecline()
            {
                OrionCore.dialogBoxOkHandler = null;
                OrionCore.dialogBoxCancelHandler = null;
                OrionCore.doFormAction("/ENDP_MIG_META/displayLandingPage.do", null);
            }

            function _okAccept()
            {
                OrionCore.showPleaseWait(true);
                OrionCore.dialogBoxOkHandler = null;
                OrionCore.doFormAction("/ENDP_MIG_META/processPreviewPageNext.do", null);
            }


            function _cancel()
            {
                OrionCore.dialogBoxOkHandler = null;
                OrionCore.dialogBoxCancelHandler = null;
            }

            function declinePreview()
            {
                OrionCore.dialogBoxOkHandler = _okDecline;
                OrionCore.dialogBoxCancelHandler = _cancel;
                OrionCore.setDialogBoxTitle('<orion:message key="decline.preview.dialogbox.title" escape="javascript"/>');
                OrionCore.showAsyncDialogBox(true, "/ENDP_MIG_META/policy/declineDialog.jsp");
            }

            function fnOnAccept()
            {
                OrionCore.dialogBoxOkHandler = _okAccept;
                OrionCore.setDialogBoxTitle('<orion:message key="accept.preview.dialogbox.title" escape="javascript"/>');

                if ("${previewDialogExclusionsMessageKey}" == "")
                {
                    OrionCore.showDialogBox(true,'<orion:message key="${previewDialogMessageKey}" escape="javascript"/>', OrionCore.DIALOG_OK);
                }
                else
                {
                    OrionCore.showDialogBox(true,'<orion:message key="${previewDialogMessageKey}" escape="javascript"/>'+ '</br></br>' + '<orion:message key="${previewDialogExclusionsMessageKey}" escape="javascript"/>', OrionCore.DIALOG_OK);
                }

            }

            function fnOnBack() {
                OrionCore.doFormAction("/ENDP_MIG_META/processPreviewPageBack.do", null);
            }


            function fnSetTitle(node) {
                if (node != null) {
                    var title = new TitleBar("otbID_PolicyPreview");
                    if (title != null) {
                        var parentNode = OrionTree.getParentNode(node);
                        if (parentNode != null && OrionTree.getNodeLabel(parentNode) != "root")
                            title.setTitle(OrionCore.unescapeHtml(OrionTree.getNodeLabel(parentNode) + " > " + OrionTree.getNodeLabel(node)));
                        else
                            title.setTitle(OrionCore.unescapeHtml(OrionTree.getNodeLabel(node)));
                    }
                }
            }

            function enableButton(id,bEnable)
            {
                OrionCore.setEnabledById( id, bEnable );
            }
            OrionCore.addLoadHandler(fnOnLoad);

        </script>
    </orion:corehead>
    <orion:corebody>
        <orion:navigation tabId="ENDP_MIG_META.migration.tab"/>
        <orion:content>
            <orion:vbox>

                <c:if test="${generatePreview eq false}">
                <orion:hbox id="previewInstructions" height="48" >
                    <orion:box>
                        <div class="wizardSourceHeader" style="height: 75%">
                            <orion:message key="policy.preview.PreviewInstructions" escape="html"/>
                        </div>
                    </orion:box>
                </orion:hbox>
                </c:if>
                <c:if test="${generatePreview eq true}">
                <orion:hbox id="progressBarPane" height="48">
                            <orion:vbox  id="id1" width="900">
                                <div class="progressBarHeaderPaneInstructions">
                                    <orion:message key="policy.preview.PreviewInstructions" escape="html"/>
                                </div>
                            </orion:vbox>
                            <orion:vbox id="id2" width="auto">
                                <div class="progressBarHeaderPaneImg">
                                    <img src="/ENDP_MIG_META/images/loading1.gif" alt="Loading"><br>
                                    <orion:message key="policy.preview.progress.bar.info1"/>
                                    <b><label id="totalCount"></label> </b>
                                    <orion:message key="policy.preview.progress.bar.info2"/>
                                </div>
                            </orion:vbox>
                </orion:hbox>
                </c:if>
                <orion:hbox>
                    <orion:vbox id="id_box1" width="275">
                        <orion:titlebar id="id_treeTitleBar" text="${treeTitleBar}"/>

                        <c:choose>
                            <c:when test="${readyForPreview == 'true'}">
                                <orion:tree id="PolicyPreviewTree"
                                            treeDataAttr="PolicyPreviewTreeData"
                                            selectable="true"
                                            persistBranchState="false"
                                            showRootNode="false"
                                            preloadData="true"
                                            checkboxes="false"/>

                                <script type="text/javascript">
                                    OrionTree.setSelectHandler(fnOnSelectTreeNode);
                                </script>
                            </c:when>
                            <c:otherwise>
                                <orion:hbox height="auto">
                                    <orion:box>
                                        </br>
                                        <p style="text-indent: 5em;">

                                        </p>
                                    </orion:box>
                                </orion:hbox>
                            </c:otherwise>
                        </c:choose>
                        <orion:listbuttonarea/>
                    </orion:vbox>

                    <orion:vdivider id="myDivider" resizeTarget="id_box1"/>

                    <orion:vbox width="auto">
                        <orion:titlebar text="" id="otbID_PolicyPreview"/>

                        <c:choose>
                            <c:when test="${readyForPreview == 'true'}">

                                <orion:table2 registeredTypeUID="ENDP_MIG_META.rt.PolicyPreview"
                                              columnWidths="20,20,20,40"
                                              cellRendererAttr="${cellRendererAttr}"
                                              id="PolicyPreviewTable"
                                              showCheckboxColumn="false"
                                              enableDrilldown="false"
                                              showTitleBar="false"
                                              datasourceAttr="${datasourceAttr}"/>
                            </c:when>
                            <c:otherwise>
                                <c:if test="${generatePreview eq false}">
                                    <c:choose>
                                        <c:when test="${readyForTasksnCatalogMigration eq false}">
                                            <orion:hbox height="auto" id="noPolicyToMigrateBox">
                                                <orion:box>
                                                    </br>
                                                    <p style="text-indent: 5em;">
                                                    <div class="previewNoItems">
                                                        <orion:message key="policy.preview.NoPolicyToMigrate" escape="html"/>
                                                    </div>
                                                    </p>
                                                </orion:box>
                                            </orion:hbox>
                                        </c:when>
                                        <c:otherwise>
                                            <script type="text/javascript">
                                                fnOnAccept();
                                            </script>
                                        </c:otherwise>
                                    </c:choose>
                                </c:if>
                                <c:if test="${generatePreview eq true}">
                                <orion:hbox height="auto" id="generatingPreview">

                                    <orion:box>

                                    </orion:box>
                                </orion:hbox>
                            </c:if>
                            </c:otherwise>
                        </c:choose>

                        <orion:hbox height="32">
                            <orion:box>
                                <orion:footerbar>
                                    <orion:message key="common.Back" var="backText" escape="none"/>
                                    <orion:message key="common.Save" var="acceptText" escape="none"/>
                                    <orion:message key="common.Cancel" var="declineText" escape="none"/>
                                    <orion:button id="backButton" text="${backText}" onclick="fnOnBack()"/>
                                    <orion:button id="acceptButton" text="${acceptText}" onclick="fnOnAccept()"/>
                                    <orion:button id="declineButton" text="${declineText}" onclick="declinePreview()"/>
                                </orion:footerbar>
                            </orion:box>
                        </orion:hbox>
                    </orion:vbox>
                </orion:hbox>
            </orion:vbox>
        </orion:content>
    </orion:corebody>
</orion:core>
