<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>

<style>
    tr.queryConditionTableRow td:last-child {
        display: none;
    }

    tr.queryConditionTableRow td:nth-child(3) {
        display: none;
    }

    /* Remove the value cells */
    #val-cell {
        display: none;
    }

    /* Remove the +/- cells */
    tr.conditionRow td:last-child {
        display: none;
    }

    /* Remove the and from rows with the remove-cell not empty.
        These will be all the rows except the merged policies */
    td#remove-cell:not(:empty) + td :nth-child(3) {
        display: none;
    }

    /* Make Header Rows and Workstation/Server selector Semi-Black */
    tr.orionGreenTableRow td:first-child {
        color: #4d4c4a;
    }

    tr.orionGreenTableRow td:first-child + td {
        color: #4d4c4a;
    }

</style>

<orion:core>
    <orion:message var="saveText" key="common.Save" escape="none"/>
    <orion:message var="categoryText" key="common.Category" escape="none"/>
    <orion:message var="policyText" key="common.Policy" escape="none"/>
    <orion:message var="policiesAvailableText" key="common.policies.available" escape="none"/>
    <!--<orion:message var="exclusionsMessage" key="migration.tp.policy.selection.exclusion.message" escape="none"/>-->
    <!--<orion:message var="exclusionsAboveMessage" key="migration.tp.policy.selection.exclusion.messageabove" escape="none"/>-->
    <orion:message var="requiredMessage" key="common.starRequired" escape="none"/>
    <orion:message var="noneMessage" key="common.noneMessage" escape="none"/>
    <orion:message var="noCustomPoliciesMessage" key="common.noCustomPoliciesMessage" escape="none"/>
    <orion:message var="vseSectionTitle" key="migration.main.autoModeVSETypeSelection" escape="none"/>
    <orion:message var="oasMultiPlatformSelectLabel" key="migration.wizard.policyOASMultiPlatformSelectLabel" escape="none"/>
    <orion:message var="serverSettingsLabel" key="common.Server" escape="none"/>
    <orion:message var="workstationSettingsLabel" key="common.Workstation" escape="none"/>
    <orion:message var="workstationServerSettingsLabel" key="common.WorkstationServer" escape="none"/>
    <orion:message var="serverLabel" key="ENDP_MIG_META.policy.preview.server" escape="none"/>
    <orion:message var="workstationLabel" key="ENDP_MIG_META.policy.preview.workstation" escape="none"/>
    <orion:message var="workstationServerLabel" key="ENDP_MIG_META.policy.preview.workstationserver" escape="none"/>
    <orion:message var="editLabel" key="common.Edit" escape="none"/>
    <orion:message var="vseSectionLabel" key="migration.wizard.policySelectVSESectionLabel" escape="none"/>
    <orion:message var="policyMergeMessage" key="migration.wizard.policyMergeMessage"/>
    <orion:corehead>
        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:script context="/ENDP_MIG_META" src="/js/CommonHelp.js"/>
        <script type="text/javascript">

            var vsePolicySectionSelected = 1; //1 = workstation, 2 = server, 3 = Both
            var oasMultiPlatformSelection = 1; //Checked or unchecked
            var oasPoliciesSelected = false;
            var vseIPSPoliciesSelected = false;

            var isVSEMigrating = "";
            var isEPMMigrating = "";
            var isVSELinuxMigrating = "";
            var isIPSMigrating = "";

            function getPlatformCount()
            {
                var platformCounter=0;
                if(isVSEMigrating)
                {
                    platformCounter++;
                }

                if(isEPMMigrating)
                {
                    platformCounter++;
                }

                if(isVSELinuxMigrating)
                {
                    platformCounter++;
                }
                return platformCounter;
            }
            function changeVSEPolicySection()
            {
                if ($('vsePolicySectionSelect').value == "1")
                {
                    $('vsePolicySectionSelectorTD').innerHTML = "<b>${vseSectionLabel}</b> ${workstationLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                    vsePolicySectionSelected = 1;
                }
                else if ($('vsePolicySectionSelect').value == "2")
                {
                    $('vsePolicySectionSelectorTD').innerHTML = "<b>${vseSectionLabel}</b> ${serverLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                    vsePolicySectionSelected = 2;
                }
                else
                {
                    $('vsePolicySectionSelectorTD').innerHTML = "<b>${vseSectionLabel}</b> ${workstationServerLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                    vsePolicySectionSelected = 3;
                }
            }

            function displayVSEPolicySectionSelector()
            {
                OrionCore.dialogBoxOkHandler = changeVSEPolicySection;
                OrionCore.setDialogBoxTitle("VirusScan Enterprise 8.8.0");
                var message;
                if (vsePolicySectionSelected == 1)
                {
                    message = "<br/>${vseSectionTitle}<br/><br/> <input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '1' checked> ${workstationSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '2'> ${serverSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '3'> ${workstationServerSettingsLabel}";
                }
                else if (vsePolicySectionSelected == 2)
                {
                    message = "<br/>${vseSectionTitle}<br/><br/> <input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '1'> ${workstationSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '2' checked> ${serverSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '3'> ${workstationServerSettingsLabel}";
                }
                else
                {
                    message = "<br/>${vseSectionTitle}<br/><br/> <input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '1'> ${workstationSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '2'> ${serverSettingsLabel}<br/><input type= 'radio' id='vsePolicySectionSelect' name= 'vsePolicySectionSelect' onclick='setVSEPolicySelectionSelectValue(this.value)' value = '3' checked> ${workstationServerSettingsLabel}";
                }
                OrionCore.showDialogBox(true, message, OrionCore.DIALOG_OK);
            }
            function setVSEPolicySelectionSelectValue(vsePolicySectionSelect)
            {
                $('vsePolicySectionSelect').value = vsePolicySectionSelect;
            }

            function addVSEPolicySectionSelector()
            {
                var newTD = document.createElement("td");
                newTD.id = "vsePolicySectionSelectorTD";
                if (vsePolicySectionSelected == 1)
                {
                    newTD.innerHTML = "<b>${vseSectionLabel}</b> ${workstationLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                }
                else if(vsePolicySectionSelected == 2)
                {
                    newTD.innerHTML = "<b>${vseSectionLabel}</b> ${serverLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                }
                else
                {
                    newTD.innerHTML = "<b>${vseSectionLabel}</b> ${workstationServerLabel} <a href='#' onclick='displayVSEPolicySectionSelector();'>${editLabel}</a>";
                }

                $j('td:contains("VirusScan Enterprise 8.8.0")').attr('colspan', 2);
                $j('td:contains("VirusScan Enterprise 8.8.0")').after(newTD);
            }

            function checkVSEPolicySectionSelector()
            {
                //If the VSE header row is present but there are no sibling td's, add the section selector
                if (($j('td:contains("VirusScan Enterprise 8.8.0")').length == 1) &&
                        ($j('td:contains("VirusScan Enterprise 8.8.0")').siblings().length != 1))
                {
                    addVSEPolicySectionSelector();
                }
            }

            function updateConditionHeader()
            {
                $j('.queryConditionTableRow')[0].childNodes[1].innerHTML = '${categoryText}';
                $j('.queryConditionTableRow')[0].childNodes[3].innerHTML = '${policyText}';
            }

            function hideRemoveCell(propKey)
            {
                var table = $(CriteriaBuilder.COND_TABLE);
                for (var i = table.rows.length - 1; i >= 0; i--)
                {
                    var row = table.rows[i];
                    if (CriteriaBuilder.getRowPropKey(row) == propKey)
                    {
                        row.cells[CriteriaBuilder.REMOVE_CELL_NUM].innerHTML = '';
                        break;
                    }
                }
            }

            function changeMultiPlatformCheck(checkBox)
            {
                oasMultiPlatformSelection = checkBox.checked?1:0;
                validatePolicySelections();
            }

            function canChangeOASPolicySelection(generalPolicy, defaultScan, trustedScan, untrustedScan , vsMacConfiguration, vseLinuxOnAccessScan)
            {
                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.

                var canChangeOASPolicySelection=false;

                if(!isEPMMigrating && !isVSEMigrating && !isVSELinuxMigrating)
                {
                    return false;
                }
                else if(isEPMMigrating && !isVSEMigrating && !isVSELinuxMigrating)
                {
                    return false;
                }
                else if(isVSELinuxMigrating && !isVSEMigrating && !isEPMMigrating)
                {
                    return false;
                }

                var areAllOASPoliciesSelected =  true;
                var areAllOASPoliciesUnSelected = true;

                if(isVSEMigrating)
                {
                    areAllOASPoliciesSelected = (generalPolicy && defaultScan && trustedScan && untrustedScan);
                    areAllOASPoliciesUnSelected = (!generalPolicy && !defaultScan && !trustedScan && !untrustedScan);
                }

                if(isEPMMigrating)
                {
                    areAllOASPoliciesSelected = areAllOASPoliciesSelected && vsMacConfiguration;
                    areAllOASPoliciesUnSelected = areAllOASPoliciesUnSelected && !vsMacConfiguration;
                }

                if(isVSELinuxMigrating)
                {
                    areAllOASPoliciesSelected = areAllOASPoliciesSelected && vseLinuxOnAccessScan;
                    areAllOASPoliciesUnSelected = areAllOASPoliciesUnSelected && !vseLinuxOnAccessScan;
                }

                canChangeOASPolicySelection = !(areAllOASPoliciesSelected || areAllOASPoliciesUnSelected);

                return canChangeOASPolicySelection;
            }

            function canChangeVSEIPSPolicySelection(vseAccessProtectionPolicy, vseBufferOverflowPolicy, ipsRulesPolicy, ipsProtectionPolicy)
            {
                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.

                if(!isVSEMigrating && !isIPSMigrating)
                {
                    return false;
                }
                else if(isVSEMigrating && !isIPSMigrating)
                {
                    return false;
                }

                var areAllVSEIPSPoliciesSelected =  true;
                var areAllVSEIPSPoliciesUnSelected = true;

                if(isVSEMigrating)
                {
                    areAllVSEIPSPoliciesSelected = vseAccessProtectionPolicy && vseBufferOverflowPolicy;
                    areAllVSEIPSPoliciesUnSelected = !vseAccessProtectionPolicy && !vseBufferOverflowPolicy;
                }

                if(isIPSMigrating)
                {
                    areAllVSEIPSPoliciesSelected = areAllVSEIPSPoliciesSelected && ipsRulesPolicy && ipsProtectionPolicy;
                    areAllVSEIPSPoliciesUnSelected = areAllVSEIPSPoliciesUnSelected && !ipsRulesPolicy && !ipsProtectionPolicy;
                }

                var canChangeOASPolicySelection = !(areAllVSEIPSPoliciesSelected || areAllVSEIPSPoliciesUnSelected);

                return canChangeOASPolicySelection;
            }

            function checkVSEOASMergedPolicies()
            {
                var isMultiPlatformCheckBoxRequired = Boolean(getPlatformCount()!=1);

                var xmlString = CriteriaBuilder.getCriteriaXML();
                var generalPolicy = Boolean(xmlString.indexOf("<prop-key>${VSC700_General_Policies}</prop-key>") > -1);
                var defaultScan = Boolean(xmlString.indexOf("<prop-key>${VSC700_DefaultScan_Policies}</prop-key>") > -1);
                var trustedScan = Boolean(xmlString.indexOf("<prop-key>${VSC700_TrustedScan_Policies}</prop-key>") > -1);
                var untrustedScan = Boolean(xmlString.indexOf("<prop-key>${VSC700_UntrustedScan_Policies}</prop-key>") > -1);
                var vsMacConfiguration = Boolean(xmlString.indexOf("<prop-key>${Configuration}</prop-key>") > -1);
                var vseLinuxOnAccessScan = Boolean(xmlString.indexOf("<prop-key>${NAILS_DefaultScan_Policies}</prop-key>") > -1);

                if (canChangeOASPolicySelection(generalPolicy,defaultScan,trustedScan,untrustedScan,vsMacConfiguration,vseLinuxOnAccessScan))
                {
                    //var enabled = atleastOneOASPolicyCategorySelected(generalPolicy,defaultScan,trustedScan,untrustedScan,vsMacConfiguration,vseLinuxOnAccessScan);
                    //One as added -> add all of them
                    if (!oasPoliciesSelected)
                    {
                        oasPoliciesSelected = true;
                        var lastRowPolicy = "";
                        if (!generalPolicy && isVSEMigrating)
                        {
                            lastRowPolicy = 'VSC700_General_Policies';
                            CriteriaBuilder._listSelectionHandler("${VSC700_General_Policies}");
                            OrionList.setSelectedItem("${VSC700_General_Policies}", true);
                            hideRemoveCell("${VSC700_General_Policies}");
                        }

                        if (!defaultScan && isVSEMigrating)
                        {
                            lastRowPolicy = 'VSC700_DefaultScan_Policies';
                            CriteriaBuilder._listSelectionHandler("${VSC700_DefaultScan_Policies}");
                            OrionList.setSelectedItem("${VSC700_DefaultScan_Policies}", true);
                            hideRemoveCell("${VSC700_DefaultScan_Policies}");
                        }

                        if (!trustedScan && isVSEMigrating)
                        {
                            lastRowPolicy = 'VSC700_TrustedScan_Policies';
                            CriteriaBuilder._listSelectionHandler("${VSC700_TrustedScan_Policies}");
                            OrionList.setSelectedItem("${VSC700_TrustedScan_Policies}", true);
                            hideRemoveCell("${VSC700_TrustedScan_Policies}");
                        }

                        if (!untrustedScan && isVSEMigrating)
                        {
                            lastRowPolicy = 'VSC700_UntrustedScan_Policies';
                            CriteriaBuilder._listSelectionHandler("${VSC700_UntrustedScan_Policies}");
                            OrionList.setSelectedItem("${VSC700_UntrustedScan_Policies}", true);
                            hideRemoveCell("${VSC700_UntrustedScan_Policies}");
                        }

                        if (!vsMacConfiguration && isEPMMigrating)
                        {
                            lastRowPolicy = 'Configuration';
                            CriteriaBuilder._listSelectionHandler("${Configuration}");
                            OrionList.setSelectedItem("${Configuration}", true);
                            hideRemoveCell("${Configuration}");
                        }

                        if (!vseLinuxOnAccessScan && isVSELinuxMigrating)
                        {
                            lastRowPolicy = 'NAILS_DefaultScan_Policies';
                            CriteriaBuilder._listSelectionHandler("${NAILS_DefaultScan_Policies}");
                            OrionList.setSelectedItem("${NAILS_DefaultScan_Policies}", true);
                            hideRemoveCell("${NAILS_DefaultScan_Policies}");
                        }
                        var message = '';
                        var oasMultiPlatformCheckBox = '';
                        var showPolicyMergeMessage = false;

                        if(isVSEMigrating)
                        {
                            showPolicyMergeMessage = true;
                        }
                        else
                        {
                            if(isEPMMigrating && isVSELinuxMigrating)
                            {
                                showPolicyMergeMessage = true;
                            }
                        }

                        if(showPolicyMergeMessage)
                        {
                            message = '<tr id="vseOASPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';
                        }

                        if(isMultiPlatformCheckBoxRequired)
                        {
                            oasMultiPlatformCheckBox = '<tr id="oasMultiPlatformCheckBox"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal"><input type="checkbox" checked onclick="changeMultiPlatformCheck(this);">${oasMultiPlatformSelectLabel}</input></td></tr>';
                        }

                        var row;
                        var lastRow;

                        if(showPolicyMergeMessage)
                        {
                            if (generalPolicy)
                            {
                                row = $j("input[value='VSC700_General_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (defaultScan)
                            {
                                row = $j("input[value='VSC700_DefaultScan_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (trustedScan)
                            {
                                row = $j("input[value='VSC700_TrustedScan_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (untrustedScan)
                            {
                                row = $j("input[value='VSC700_UntrustedScan_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (vsMacConfiguration)
                            {
                                row = $j("input[value='Configuration']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (vseLinuxOnAccessScan)
                            {
                                row = $j("input[value='NAILS_DefaultScan_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                        }

                        if(typeof row != 'undefined')
                        {
                            $('vseOASPolicyMergeMessage').objectName = 'VirusScan Enterprise 8.8.0';
                        }

                        if(isMultiPlatformCheckBoxRequired)
                        {
                            lastRow = $j("input[value=" + lastRowPolicy + "]").parentsUntil('.conditionTable', 'tr').after(oasMultiPlatformCheckBox);

                            if (typeof lastRow != 'undefined')
                            {
                                $('oasMultiPlatformCheckBox').objectName = 'VirusScan Enterprise 8.8.0';
                            }
                        }
                    }
                    else //One was removed, remove all of them
                    {
                        oasPoliciesSelected = false;
                        $j('tr#vseOASPolicyMergeMessage').remove();
                        if(isMultiPlatformCheckBoxRequired)
                        {
                            $j('tr#oasMultiPlatformCheckBox').remove();
                        }
                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${VSC700_General_Policies}") || (propKey == "${VSC700_DefaultScan_Policies}")
                                        || (propKey == "${VSC700_TrustedScan_Policies}") || (propKey == "${VSC700_UntrustedScan_Policies}") || (propKey == "${Configuration}") || (propKey == "${NAILS_DefaultScan_Policies}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                }
            }

            function checkVSEIPSMergedPolicies()
            {
                var xmlString = CriteriaBuilder.getCriteriaXML();

                var vseBufferOverflowProtectionPolicy = Boolean(xmlString.indexOf("<prop-key>${VSC700_BufferOverflow_Policies}</prop-key>") > -1);
                var vseAccessProtectionPolicy = Boolean(xmlString.indexOf("<prop-key>${VSC700_BehaviorBlock_Policies}</prop-key>") > -1);
                var ipsRulesPolicy = Boolean(xmlString.indexOf("<prop-key>${IPS_Rules}</prop-key>") > -1);
                var ipsProtectionPolicy = Boolean(xmlString.indexOf("<prop-key>${IPS_Reaction}</prop-key>") > -1);

                if (canChangeVSEIPSPolicySelection(vseAccessProtectionPolicy, vseBufferOverflowProtectionPolicy, ipsRulesPolicy,ipsProtectionPolicy))
                {
                    //var enabled = atleastOneOASPolicyCategorySelected(generalPolicy,defaultScan,trustedScan,untrustedScan,vsMacConfiguration,vseLinuxOnAccessScan);
                    //One as added -> add all of them
                    if (!vseIPSPoliciesSelected)
                    {
                        vseIPSPoliciesSelected = true;

                        if (!vseAccessProtectionPolicy && isVSEMigrating)
                        {
                            CriteriaBuilder._listSelectionHandler("${VSC700_BehaviorBlock_Policies}");
                            OrionList.setSelectedItem("${VSC700_BehaviorBlock_Policies}", true);
                            hideRemoveCell("${VSC700_BehaviorBlock_Policies}");
                        }

                        if (!vseBufferOverflowProtectionPolicy && isVSEMigrating)
                        {
                            CriteriaBuilder._listSelectionHandler("${VSC700_BufferOverflow_Policies}");
                            OrionList.setSelectedItem("${VSC700_BufferOverflow_Policies}", true);
                            hideRemoveCell("${VSC700_BufferOverflow_Policies}");
                        }

                        if (!ipsRulesPolicy && isIPSMigrating)
                        {
                            CriteriaBuilder._listSelectionHandler("${IPS_Rules}");
                            OrionList.setSelectedItem("${IPS_Rules}", true);
                            hideRemoveCell("${IPS_Rules}");
                        }

                        if (!ipsProtectionPolicy && isIPSMigrating)
                        {
                            CriteriaBuilder._listSelectionHandler("${IPS_Reaction}");
                            OrionList.setSelectedItem("${IPS_Reaction}", true);
                            hideRemoveCell("${IPS_Reaction}");
                        }

                        var message = '';

                        if(isIPSMigrating)
                        {
                            message = '<tr id="vseIPSPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';

                            var row;

                            if (vseAccessProtectionPolicy)
                            {
                                row = $j("input[value='VSC700_BehaviorBlock_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (vseBufferOverflowProtectionPolicy)
                            {
                                row = $j("input[value='VSC700_BufferOverflow_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (ipsRulesPolicy)
                            {
                                row = $j("input[value='IPS_Rules']").parentsUntil('.conditionTable', 'tr').after(message);
                            }
                            else if (ipsProtectionPolicy)
                            {
                                row = $j("input[value='IPS_Reaction']").parentsUntil('.conditionTable', 'tr').after(message);
                            }

                            if(typeof row != 'undefined')
                            {
                                $('vseIPSPolicyMergeMessage').objectName = 'VirusScan Enterprise 8.8.0';
                            }
                        }
                    }
                    else //One was removed, remove all of them
                    {
                        vseIPSPoliciesSelected = false;
                        $j('tr#vseIPSPolicyMergeMessage').remove();

                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${VSC700_BehaviorBlock_Policies}") || (propKey == "${VSC700_BufferOverflow_Policies}") || (propKey == "${IPS_Rules}") || (propKey == "${IPS_Reaction}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                }
            }

            function checkHIPSMergedPolicies()
            {
                var xmlString = CriteriaBuilder.getCriteriaXML();
                var blockedDomains = Boolean(xmlString.indexOf("<prop-key>${FW_BlockedDomains}</prop-key>") > -1);
                var statusMode = Boolean(xmlString.indexOf("<prop-key>${FW_StatusMode}</prop-key>") > -1);
                var trustedApps = Boolean(xmlString.indexOf("<prop-key>${Trusted_Apps}</prop-key>") > -1);
                var trustedNets = Boolean(xmlString.indexOf("<prop-key>${Trusted_Nets}</prop-key>") > -1);
                var clientUI = Boolean(xmlString.indexOf("<prop-key>${ClientUI}</prop-key>") > -1);

                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.
                if (!((blockedDomains && statusMode && trustedApps && trustedNets && clientUI) || (!blockedDomains && !statusMode && !trustedApps && !trustedNets && !clientUI)))
                {
                    var enabled = (blockedDomains ? 1 : 0) + (statusMode ? 1 : 0) + (trustedApps ? 1 : 0) + (trustedNets ? 1 : 0) + (clientUI ? 1 : 0);
                    //One as added -> add all of them
                    if (enabled == 1)
                    {
                        if (!blockedDomains)
                        {
                            CriteriaBuilder._listSelectionHandler("${FW_BlockedDomains}");
                            OrionList.setSelectedItem("${FW_BlockedDomains}", true);
                            hideRemoveCell("${FW_BlockedDomains}");
                        }
                        if (!statusMode)
                        {
                            CriteriaBuilder._listSelectionHandler("${FW_StatusMode}");
                            OrionList.setSelectedItem("${FW_StatusMode}", true);
                            hideRemoveCell("${FW_StatusMode}");
                        }
                        if (!trustedApps)
                        {
                            CriteriaBuilder._listSelectionHandler("${Trusted_Apps}");
                            OrionList.setSelectedItem("${Trusted_Apps}", true);
                            hideRemoveCell("${Trusted_Apps}");
                        }
                        if (!trustedNets)
                        {
                            CriteriaBuilder._listSelectionHandler("${Trusted_Nets}");
                            OrionList.setSelectedItem("${Trusted_Nets}", true);
                            hideRemoveCell("${Trusted_Nets}");
                        }
                        if (!clientUI)
                        {
                            CriteriaBuilder._listSelectionHandler("${ClientUI}");
                            OrionList.setSelectedItem("${ClientUI}", true);
                            hideRemoveCell("${ClientUI}");
                        }

                        var message = '<tr id="hipsPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';
                        var row;
                        if (blockedDomains)
                        {
                            row = $j("input[value='FW_BlockedDomains']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (statusMode)
                        {
                            row = $j("input[value='FW_StatusMode']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (trustedApps)
                        {
                            row = $j("input[value='Trusted_Apps']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (trustedNets)
                        {
                            row = $j("input[value='Trusted_Nets']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (clientUI)
                        {
                            row = $j("input[value='ClientUI']").parentsUntil('.conditionTable', 'tr').after(message);
                        }

                        if(typeof row != 'undefined')
                        {
                            $('hipsPolicyMergeMessage').objectName = 'Host Intrusion Prevention 8.0';
                        }
                    }
                    else //One was removed, remove all of them
                    {
                        $j('tr#hipsPolicyMergeMessage').remove();
                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${FW_BlockedDomains}") || (propKey == "${FW_StatusMode}")
                                        || (propKey == "${Trusted_Apps}") || (propKey == "${Trusted_Nets}")
                                        || (propKey == "${ClientUI}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                }
            }

            function checkSAEEDEGMergedPolicies()
            {
                var xmlString = CriteriaBuilder.getCriteriaXML();
                var functionalState = Boolean(xmlString.indexOf("<prop-key>${FunctionalState}</prop-key>") > -1);
                var eventTracking = Boolean(xmlString.indexOf("<prop-key>${EventTracking}</prop-key>") > -1);
                var general = Boolean(xmlString.indexOf("<prop-key>${General}</prop-key>") > -1);

                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.
                if (!((functionalState && eventTracking && general) || (!functionalState && !eventTracking && !general)))
                {
                    var enabled = (functionalState ? 1 : 0) + (eventTracking ? 1 : 0) + (general ? 1 : 0);
                    //One as added -> add all of them
                    if (enabled == 1)
                    {
                        if (!functionalState)
                        {
                            CriteriaBuilder._listSelectionHandler("${FunctionalState}");
                            OrionList.setSelectedItem("${FunctionalState}", true);
                            hideRemoveCell("${FunctionalState}");
                        }
                        if (!eventTracking)
                        {
                            CriteriaBuilder._listSelectionHandler("${EventTracking}");
                            OrionList.setSelectedItem("${EventTracking}", true);
                            hideRemoveCell("${EventTracking}");
                        }
                        if (!general)
                        {
                            CriteriaBuilder._listSelectionHandler("${General}");
                            OrionList.setSelectedItem("${General}", true);
                            hideRemoveCell("${General}");
                        }

                        var message = '<tr id="saeEDEGPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';
                        var row;
                        if (functionalState)
                        {
                            row = $j("input[value='FunctionalState']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (eventTracking)
                        {
                            row = $j("input[value='EventTracking']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (general)
                        {
                            row = $j("input[value='General']").parentsUntil('.conditionTable', 'tr').after(message);
                        }

                        if(typeof row != 'undefined')
                        {
                            $('saeEDEGPolicyMergeMessage').objectName = 'SiteAdvisor Enterprise Plus 3.5.0';
                        }
                    }
                    else //One was removed, remove all of them
                    {
                        $j('tr#saeEDEGPolicyMergeMessage').remove();
                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${FunctionalState}") || (propKey == "${EventTracking}")
                                        || (propKey == "${General}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                }
            }

            var previousXMLStringForMergingPolicies = "";

            function checkVSENVQMergedPolicies()
            {
                var xmlString = CriteriaBuilder.getCriteriaXML();
                var nonVirus = Boolean(xmlString.indexOf("<prop-key>${VSC700_NonVirus_Policies}</prop-key>") > -1);
                var quarantine = Boolean(xmlString.indexOf("<prop-key>${VSC700_Quarantine_Policies}</prop-key>") > -1);
                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.
                if (nonVirus != quarantine)
                {
                    var previous_nonVirus = Boolean(previousXMLStringForMergingPolicies.indexOf("${VSC700_NonVirus_Policies}") > -1);
                    var previous_quarantine = Boolean(previousXMLStringForMergingPolicies.indexOf("${VSC700_Quarantine_Policies}") > -1);

                    //Both were there but now one is gone so remove the other.
                    if (previous_nonVirus && previous_quarantine)
                    {
                        $j('tr#vseNVQPolicyMergeMessage').remove();
                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${VSC700_NonVirus_Policies}") || (propKey == "${VSC700_Quarantine_Policies}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                    else  //neither was there so add the other
                    {
                        if (!nonVirus)
                        {
                            CriteriaBuilder._listSelectionHandler("${VSC700_NonVirus_Policies}");
                            OrionList.setSelectedItem("${VSC700_NonVirus_Policies}", true);
                            hideRemoveCell("${VSC700_NonVirus_Policies}");
                        }
                        if (!quarantine)
                        {
                            CriteriaBuilder._listSelectionHandler("${VSC700_Quarantine_Policies}");
                            OrionList.setSelectedItem("${VSC700_Quarantine_Policies}", true);
                            hideRemoveCell("${VSC700_Quarantine_Policies}");
                        }

                        var row;
                        var message = '<tr id="vseNVQPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';
                        if (nonVirus)
                        {
                            row = $j("input[value='VSC700_NonVirus_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (quarantine)
                        {
                            row = $j("input[value='VSC700_Quarantine_Policies']").parentsUntil('.conditionTable', 'tr').after(message);
                        }

                        if(typeof row != 'undefined')
                        {
                            $('vseNVQPolicyMergeMessage').objectName = 'VirusScan Enterprise 8.8.0';
                        }
                    }
                }
            }

            function checkSAEAPMergedPolicies()
            {
                var xmlString = CriteriaBuilder.getCriteriaXML();
                var authorizeList = Boolean(xmlString.indexOf("<prop-key>${AuthorizeList}</prop-key>") > -1);
                var prohibitList = Boolean(xmlString.indexOf("<prop-key>${ProhibitList}</prop-key>") > -1);

                //If they are all equal they are either all present or not preset,
                // if one is not equal we either need to remove or add all of them.
                if (authorizeList != prohibitList)
                {
                    var previous_authorizeList = Boolean(previousXMLStringForMergingPolicies.indexOf("${AuthorizeList}") > -1);
                    var previous_prohibitList = Boolean(previousXMLStringForMergingPolicies.indexOf("${ProhibitList}") > -1);

                    //Both were there but now one is gone so remove the other.
                    if (previous_authorizeList && previous_prohibitList)
                    {
                        $j('tr#saeAPPolicyMergeMessage').remove();
                        var table = $(CriteriaBuilder.COND_TABLE);
                        for (var i = table.rows.length - 1; i >= 0; i--)
                        {
                            var row = table.rows[i];
                            if (row)
                            {
                                var propKey = CriteriaBuilder.getRowPropKey(row);
                                if ((propKey == "${AuthorizeList}") || (propKey == "${ProhibitList}"))
                                {
                                    OrionCore.deleteRow(row);
                                    OrionList.setSelectedItem(propKey, false);
                                    CriteriaBuilder.removeOrphanLabels();
                                }
                            }
                        }
                    }
                    else  //neither was there so add the other
                    {
                        if (!authorizeList)
                        {
                            CriteriaBuilder._listSelectionHandler("${AuthorizeList}");
                            OrionList.setSelectedItem("${AuthorizeList}", true);
                            hideRemoveCell("${AuthorizeList}");
                        }
                        if (!prohibitList)
                        {
                            CriteriaBuilder._listSelectionHandler("${ProhibitList}");
                            OrionList.setSelectedItem("${ProhibitList}", true);
                            hideRemoveCell("${ProhibitList}");
                        }

                        var row;
                        var message = '<tr id="saeAPPolicyMergeMessage"><td/><td colspan="2" class="propertyName" style="font-size: 10px; color: #4d4c4a; padding-left: 8px; font-weight: normal">${policyMergeMessage}</td></tr>';
                        if (authorizeList)
                        {
                            row = $j("input[value='AuthorizeList']").parentsUntil('.conditionTable', 'tr').after(message);
                        }
                        else if (prohibitList)
                        {
                            row = $j("input[value='ProhibitList']").parentsUntil('.conditionTable', 'tr').after(message);
                        }

                        if(typeof row != 'undefined')
                        {
                            $('saeAPPolicyMergeMessage').objectName = 'SiteAdvisor Enterprise Plus 3.5.0';
                        }
                    }
                }
            }

            function validatePolicySelections()
            {
                var vseIPSNoneCounter = 0;
                var vseOASNoneCounter = 0;
                var epmOASNoneCounter = 0;
                var vseLinuxOASNoneCounter = 0;
                var selectionsValid = true;
                var atLeastOneRowWithSelection = false;
                var anyNonGroupRow = false;
                var oasNoneCounter = 0;
                var vseQuarantineNoneCounter = 0;
                var saeAuthProhibitNoneCounter = 0;
                var saeEDEGNoneCounter = 0;
                var fwTrustedOptionsDNSCounter = 0;
                var isExclusionMessageDisplayed = false;

                $j('.policyValueErrorMessage').remove();
                var exclusionMessageRow = null;;
                var table = $(CriteriaBuilder.COND_TABLE);
                for (var i = table.rows.length - 1; i >= 0; i--)
                {
                    var row = table.rows[i];
                    if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.length > 1))
                    {
                        atLeastOneRowWithSelection = true;
                        if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value < 0))
                        {
                            row.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='policyValueErrorMessage' style='color:red;width:220px;display:inline-block'>&nbsp;${requiredMessage}</span>");
                            selectionsValid = false;
                            anyNonGroupRow = true;
                        }
                        else if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value == 0))
                        {
                            row.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='policyValueErrorMessage' style='color:black;width:220px;display:inline-block'>&nbsp;${noneMessage}</span>");
                            var propKey = CriteriaBuilder.getRowPropKey(row);
                            if ((propKey == "${VSC700_General_Policies}") || (propKey == "${VSC700_DefaultScan_Policies}")
                                    || (propKey == "${VSC700_TrustedScan_Policies}") || (propKey == "${VSC700_UntrustedScan_Policies}") || (propKey == "${Configuration}") || (propKey == "${NAILS_DefaultScan_Policies}"))
                            {
                                if(propKey == "${Configuration}")
                                {
                                    epmOASNoneCounter++;
                                }
                                else if(propKey == "${NAILS_DefaultScan_Policies}")
                                {
                                    vseLinuxOASNoneCounter++;
                                }        
                                else
                                {
                                    vseOASNoneCounter++;
                                }
                                oasNoneCounter++;
                            }
                            else if ((propKey == "${VSC700_Quarantine_Policies}") || (propKey == "${VSC700_NonVirus_Policies}"))
                            {
                                vseQuarantineNoneCounter++;
                            }
                            else if ((propKey == "${VSC700_BufferOverflow_Policies}") || (propKey == "${VSC700_BehaviorBlock_Policies}") || (propKey == "${IPS_Rules}")|| (propKey == "${IPS_Reaction}"))
                            {
                                vseIPSNoneCounter++;
                            }
                            else if ((propKey == "${AuthorizeList}") || (propKey == "${ProhibitList}"))
                            {
                                saeAuthProhibitNoneCounter++;
                            }
                            else if ((propKey == "${FunctionalState}") || (propKey == "${EventTracking}") || (propKey == "${General}"))
                            {
                                saeEDEGNoneCounter++;
                            }
                            else if ((propKey == "${FW_StatusMode}") || (propKey == "${Trusted_Apps}") || (propKey == "${FW_BlockedDomains}") || (propKey == "${Trusted_Nets}") || (propKey == "${ClientUI}"))
                            {
                                fwTrustedOptionsDNSCounter++;
                            }
                        }
                        else if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value > 0))
                        {
                            var propKey = CriteriaBuilder.getRowPropKey(row);
                            if((propKey == "${VSC700_BehaviorBlock_Policies}") || (propKey == "${VSC700_General_Policies}") || (propKey == "${VSC700_DefaultScan_Policies}")
                                    || (propKey == "${VSC700_TrustedScan_Policies}") || (propKey == "${VSC700_UntrustedScan_Policies}"))
                            {
                                if(!isExclusionMessageDisplayed)
                                {
                                    isExclusionMessageDisplayed = true;
                                }
                                else
                                {
                                    //exclusionMessageRow.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='policyValueErrorMessage' style='color:black;width:100px;word-break:break-all;'>&nbsp;${exclusionsAboveMessage}</div>");
                                }
                                exclusionMessageRow = table.rows[i];
                            }

                            anyNonGroupRow = true;
                        }
                    }
                    else if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.length == 1))
                    {
                        row.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='policyValueErrorMessage' style='color:black;width:220px;display:inline-block'>&nbsp;${noCustomPoliciesMessage}</span>");
                        OrionCore.setEnabled(row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild, false);
                    }
                }

                /*if(isExclusionMessageDisplayed)
                {
                    exclusionMessageRow.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='policyValueErrorMessage' style='color:black;width:100px;word-break:break-all;'>&nbsp;${exclusionsMessage}</span>");
                }*/
                var atLeastOneRow = table.rows.length > 0;

                var oasNoneComparisonValue = 5;

                if(isVSEMigrating)
                {
                    if(isEPMMigrating)
                    {
                        if(isVSELinuxMigrating)
                        {
                            oasNoneComparisonValue = 6;
                        }
                        else 
                        {
                            oasNoneComparisonValue = 5;
                        }
                    }
                    else
                    {
                        if(isVSELinuxMigrating)
                        {
                            oasNoneComparisonValue = 5;
                        }
                        else
                        {
                            oasNoneComparisonValue = 4;
                        }
                    }
                }
                else
                {
                    if(isEPMMigrating)
                    {
                        if(isVSELinuxMigrating)
                        {
                            oasNoneComparisonValue = 2;
                        }
                        else
                        {
                            oasNoneComparisonValue = 1;
                        }
                    }
                    else
                    {
                        if(isVSELinuxMigrating)
                        {
                            oasNoneComparisonValue = 1;
                        }
                        else
                        {
                            oasNoneComparisonValue = -1; // no need to check
                        }
                    }
                }

                var vseIPSNoneComparisonValue = -1;


                if(!isVSEMigrating && isIPSMigrating) // other cases are 1-1 mappings and there is none to select
                {
                    vseIPSNoneComparisonValue = 2;
                }
                else if(isVSEMigrating && isIPSMigrating)
                {
                    vseIPSNoneComparisonValue = 4;
                }

                var allOASAreNone = oasNoneCounter == oasNoneComparisonValue;
                var allVSEIPSAreNone = vseIPSNoneCounter == vseIPSNoneComparisonValue;
                var allQuarantineAreNone = vseQuarantineNoneCounter == 2;
                var allAuthorizeProhibitAreNone = saeAuthProhibitNoneCounter == 2;
                var allEDEGAreNone = saeEDEGNoneCounter == 3;
                var allFWTrustedOptionsDNSNone = fwTrustedOptionsDNSCounter == 5;
                var isAnyGroupAllNone = allOASAreNone || allVSEIPSAreNone  || allQuarantineAreNone || allAuthorizeProhibitAreNone || allEDEGAreNone || allFWTrustedOptionsDNSNone;
                var allNoneGroupOnly = isAnyGroupAllNone && !anyNonGroupRow;

                OrionCore.setEnabledById('nextButton', atLeastOneRow && selectionsValid && atLeastOneRowWithSelection && !allNoneGroupOnly);
            }

            function updateDialogOkButton()
            {
                $('orion.dialog.box.ok').value = "${saveText}";
            }

            function toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue)
            {
                if (currentColor == mfsBgColorWhite)
                {
                    currentColor = mfsBgColorBlue;
                }
                else if (currentColor == mfsBgColorBlue)
                {
                    currentColor = mfsBgColorWhite;
                }
                return currentColor;
            }

            function zebraStripeEntirePage()
            {
                var table = $(CriteriaBuilder.COND_TABLE);
                var mfsBgColorWhite = "white";
                var mfsBgColorBlue = "rgb(239, 244, 248)";
                var currentColor;
                //we have a counter for all policies that are migrated in a "group" - one counter to keep track of each group
                var vseODSCounter = 0;
                var vseIPSCounter = 0;
                var vseQuarantineCounter = 0;
                var saeAuthorizeProhibitCounter = 0;
                var saeGeneralEventCounter = 0;
                var hipsOptionsTrustedCounter = 0;
                for (var j = 0; j < table.rows.length; j++)  //for each row
                {
                    var row = table.rows[j];
                    var propKey = CriteriaBuilder.getRowPropKey(row);
                    if (row.className == "orionGreenTableRow")
                    {
                        //this is the green row - skip it
                    }
                    //if first non-green row
                    else if (j == 1)
                    {
                        //get the current color
                        currentColor = row.style.backgroundColor;
                        if ((propKey == "${VSC700_General_Policies}") || (propKey == "${VSC700_DefaultScan_Policies}")
                                || (propKey == "${VSC700_TrustedScan_Policies}") || (propKey == "${VSC700_UntrustedScan_Policies}") || (propKey == "${Configuration}") || (propKey == "${NAILS_DefaultScan_Policies}")
                                || (row.id == "vseOASPolicyMergeMessage"))
                        {
                            vseODSCounter++;
                        }
                        else if ((propKey == "${VSC700_Quarantine_Policies}") || (propKey == "${VSC700_NonVirus_Policies}") ||
                                (row.id == "vseNVQPolicyMergeMessage"))
                        {
                            vseQuarantineCounter++;
                        }
                        else if ((propKey == "${VSC700_BufferOverflow_Policies}") || (propKey == "${VSC700_BehaviorBlock_Policies}") ||
                                 (propKey == "${IPS_Rules}") || (propKey == "${IPS_Reaction}") ||
                                (row.id == "vseIPSPolicyMergeMessage"))
                        {
                            vseIPSCounter++;
                        }
                        else if ((propKey == "${AuthorizeList}") || (propKey == "${ProhibitList}") ||
                                (row.id == "saeAPPolicyMergeMessage"))
                        {
                            saeAuthorizeProhibitCounter++;
                        }
                        else if ((propKey == "${FunctionalState}") || (propKey == "${EventTracking}") || (propKey == "${General}") ||
                                (row.id == "saeEDEGPolicyMergeMessage"))
                        {
                            saeGeneralEventCounter++;
                        }
                        else if ((propKey == "${FW_StatusMode}") || (propKey == "${Trusted_Apps}") || (propKey == "${FW_BlockedDomains}") || (propKey == "${Trusted_Nets}") ||  (propKey == "${ClientUI}") ||
                                (row.id == "hipsPolicyMergeMessage"))
                        {
                            hipsOptionsTrustedCounter++;
                        }
                    }
                    else //from second non-green row onwards
                    {
                        //if it is an ods row
                        if ((propKey == "${VSC700_General_Policies}") || (propKey == "${VSC700_DefaultScan_Policies}")
                                || (propKey == "${VSC700_TrustedScan_Policies}") || (propKey == "${VSC700_UntrustedScan_Policies}") || (propKey == "${Configuration}") || (propKey == "${NAILS_DefaultScan_Policies}")
                                || (row.id == "vseOASPolicyMergeMessage"))
                        {
                            if (vseODSCounter == 0)
                            {
                                vseODSCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (vseODSCounter > 0 && vseODSCounter < 5)
                            {
                                vseODSCounter++;
                                //do not change the current color
                            }
                        }
                        else if ((propKey == "${VSC700_Quarantine_Policies}") || (propKey == "${VSC700_NonVirus_Policies}") ||
                                (row.id == "vseNVQPolicyMergeMessage"))
                        {
                            if (vseQuarantineCounter == 0)
                            {
                                vseQuarantineCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (vseQuarantineCounter > 0 && vseQuarantineCounter < 3)
                            {
                                vseQuarantineCounter++;
                                //do not change the current color
                            }
                        }
                        else if (isIPSMigrating && ((propKey == "${VSC700_BufferOverflow_Policies}") || (propKey == "${VSC700_BehaviorBlock_Policies}") ||
                                (propKey == "${IPS_Rules}") || (propKey == "${IPS_Reaction}") ||
                                (row.id == "vseIPSPolicyMergeMessage")))
                        {
                            if (vseIPSCounter == 0)
                            {
                                vseIPSCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (vseIPSCounter > 0 && vseIPSCounter < 5)
                            {
                                vseIPSCounter++;
                                //do not change the current color
                            }
                        }
                        else if ((propKey == "${AuthorizeList}") || (propKey == "${ProhibitList}") ||
                                (row.id == "saeAPPolicyMergeMessage"))
                        {
                            if (saeAuthorizeProhibitCounter == 0)
                            {
                                saeAuthorizeProhibitCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (saeAuthorizeProhibitCounter > 0 && saeAuthorizeProhibitCounter < 3)
                            {
                                saeAuthorizeProhibitCounter++;
                                //do not change the current color
                            }
                        }
                        else if ((propKey == "${FunctionalState}") || (propKey == "${EventTracking}") || (propKey == "${General}") ||
                                (row.id == "saeEDEGPolicyMergeMessage"))
                        {
                            if (saeGeneralEventCounter == 0)
                            {
                                saeGeneralEventCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (saeGeneralEventCounter > 0 && saeGeneralEventCounter < 4)
                            {
                                saeGeneralEventCounter++;
                                //do not change the current color
                            }
                        }
                        else if ((propKey == "${FW_StatusMode}") || (propKey == "${Trusted_Apps}") || (propKey == "${FW_BlockedDomains}") || (propKey == "${Trusted_Nets}") || (propKey == "${ClientUI}") ||
                                (row.id == "hipsPolicyMergeMessage"))
                        {
                            if (hipsOptionsTrustedCounter == 0)
                            {
                                hipsOptionsTrustedCounter++;
                                currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                            }
                            else if (hipsOptionsTrustedCounter > 0 && hipsOptionsTrustedCounter < 5)
                            {
                                hipsOptionsTrustedCounter++;
                                //do not change the current color
                            }
                        }
                        else
                        {
                            currentColor = toggleColor(currentColor, mfsBgColorWhite, mfsBgColorBlue);
                        }
                        row.style.backgroundColor = currentColor;
                    }
                }
            }

            function _onCriteriaChange(bValid)
            {
                checkVSEPolicySectionSelector();
                checkVSEOASMergedPolicies();
                checkVSENVQMergedPolicies();
                checkVSEIPSMergedPolicies();
                checkHIPSMergedPolicies();
                checkSAEEDEGMergedPolicies();
                checkSAEAPMergedPolicies();
                validatePolicySelections();

                zebraStripeEntirePage();

                previousXMLStringForMergingPolicies = CriteriaBuilder.getCriteriaXML();
            }

            function updateAvailablePropertiesLabel()
            {
                var listTitleLabel = document.getElementById("listTitle_label");
                if (listTitleLabel)
                {
                    listTitleLabel.innerHTML = '${policiesAvailableText}';
                }
            }

            function fnLocalOnLoad()
            {
                isVSEMigrating = "${isVSEMigrating}" == "true"?true:false;
                isEPMMigrating = "${isEPMMigrating}" == "true"?true:false;
                isVSELinuxMigrating = "${isVSELinuxMigrating}" == "true"?true:false;
                isIPSMigrating = "${isIPSMigrating}" == "true"?true:false;

                updateConditionHeader();
                updateDialogOkButton();
                CriteriaBuilder.setChangeHandler(_onCriteriaChange);
                setHelpId("GUID-19EEDAE6-D2B7-4A0F-9B3D-2EC05A1BEAF9.html");
                updateAvailablePropertiesLabel();
                MFSNav.addRibbonContent($j("#policyMapRibbonContent"));
            }

            function fnloadPolicyWizard()
            {
                OrionCore.showPleaseWait(true);
                $('conditionXML').value = CriteriaBuilder.getCriteriaXML();
                var params = ["vsePolicySectionSelected", vsePolicySectionSelected,"oasMultiPlatformSelection", oasMultiPlatformSelection];
                OrionCore.doFormAction("/ENDP_MIG_META/loadPolicyWizard.do", params);
            }
        </script>

    </orion:corehead>
    <orion:corebody onload="fnLocalOnLoad()">
        <div id="policyMapRibbonContent" style="margin-top:35px;margin-left:800px;text-align:right">
            <a href="javascript:OrionHelp.showHelp('emg_1050/source/GUID-23DAA99E-4A92-4E9B-9BCA-CB237384D996.html');"><orion:message
                    key="migration.wizard.policyMapLink" escape="html"/></a>
        </div>
        <orion:tunnelPage>
            <orion:vbox>
                <orion:message var="emptyMessage" key="migration.wizard.policySelectMessage" escape="none"/>
                <orion:criteriabuilder id="policySelectorBuilder"
                                       context="/ENDP_MIG_META"
                                       listContentURI="loadPolicySelector.do"
                                       displayTypeURI="loadPolicySelectorDisplayType.do"
                                       emptyText="${emptyMessage}"/>
                <input type="hidden" id="conditionXML" name="conditionXML"/>

                <orion:footerbar>
                    <orion:message key="common.Back" var="backText" escape="none"/>
                    <orion:message key="common.Next" var="nextText" escape="none"/>

                    <orion:button id="backButton" text="${backText}"
                                  onclick="OrionNavigation.navigate('/ENDP_MIG_META/displayLandingPage.do', true)"/>
                    <orion:button id="nextButton" text="${nextText}" onclick="fnloadPolicyWizard()" disabled="true"/>
                </orion:footerbar>
            </orion:vbox>
        </orion:tunnelPage>
    </orion:corebody>
</orion:core>
