<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<orion:message var="treeTitleMessage" key="auto.migration.subSystemTree.tree.title" escape="none"/>
<orion:message var="selectedGroupsTitleMessage" key="auto.migration.subSystemTree.tree.groupsTitle" escape="none"/>
<orion:message var="emptyMessageText" key="auto.migration.subSystemTree.tree.emptyMessage" escape="html"/>
<orion:message var="andText" key="auto.migration.subSystemTree.and" escape="html"/>
<orion:core>
    <orion:corehead>
        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:style context="/ENDP_MIG_META" url="/common/coreBody.css"/>

        <script type="text/javascript">
            var selectedSubTreeNodeLevelList;
            var selectedSubTreeNodeList;
            var subSystemTreeTable;
            function getSubTreeNodeList(node, level)
            {
                if(null == node)
                {
                    return;
                }
                var nodeKey = OrionTree.getNodeKey(node);
                var arrayNodeKey = nodeKey.split("_");

                selectedSubTreeNodeLevelList =  selectedSubTreeNodeLevelList + arrayNodeKey[0]+ "," + OrionTree.getNodeLabel(node)+","+level+"@&@";
                selectedSubTreeNodeList= selectedSubTreeNodeList + arrayNodeKey[0]+",";
                var children = OrionTree.getChildNodes(node);
                for (var i=0; i < children.length; i++)
                {
                    getSubTreeNodeList(children[i], level+1);
                }
                return;
            }

            function fnOnSelectTreeNode(node)
            {
                var emptyMessageBox = new InfoBox("emptyMessage");
                emptyMessageBox.hide();
                var nodeKey = OrionTree.getNodeKey(node);
                selectedSubTreeNodeLevelList ="";
                selectedSubTreeNodeList ="";
                getSubTreeNodeList(node, 0);
                subSystemTreeTable.setFilter(selectedSubTreeNodeLevelList+"|"+selectedSubTreeNodeList);
                var arrayNodeKey = nodeKey.split("_");
                $("inputhiddenKey").value = nodeKey;
                $("inputhiddenID").value = arrayNodeKey[0];
                $("inputhiddenType").value = arrayNodeKey[1];
                OrionCore.setEnabledById("stNextButton", true);
            };

            function fnOnNext()
            {
                OrionCore.showPleaseWait(true);
                var params = [  "nodeId",  $("inputhiddenID").value,
                                "nodeType", $("inputhiddenType").value
                             ];
                OrionCore.doFormAction('/ENDP_MIG_META/processSubSystemTreeSelectorPageNext.do', params);
            };

            function fnOnBack()
            {
                OrionCore.doFormAction("/ENDP_MIG_META/displayLandingPage.do", null);
            };

            function fnOnLoad()
            {
                subSystemTreeTable = MFSTable.get("subTreeMigrationHistoryTable");
                selectedSubTreeNodeLevelList="";
                selectedSubTreeNodeList="";
                var emptyMessageBox = new InfoBox("emptyMessage");
                emptyMessageBox.show();
                OrionTree.expandAll("mtID_Groups");
                OrionCore.setEnabledById("stNextButton", false);
            };

        </script>
    </orion:corehead>
    <orion:corebody onload="fnOnLoad()">
        <orion:navigation tabId="ENDP_MIG_META.migration.tab"/>
        <orion:content showBackground="true">
            <orion:hbox>
                <orion:vbox width="200" id="vbID_migrationSystemTree">
                    <orion:titlebar id="mtID_treeTitle" text="${treeTitleMessage}" />
                    <orion:tree id="mtID_Groups"
                              checkboxes="false"
                              selectable="true"
                              treeDataAttr="systemTreeGroupsDS"
                              preloadData="true"
                    />
                    <script type="text/javascript">
                        OrionTree.setSelectHandler(fnOnSelectTreeNode);
                    </script>
                    <orion:listbuttonarea/>
                </orion:vbox>
                <orion:vdivider id="myDivider" resizeTarget="vbID_migrationSystemTree"/>
                <orion:vbox width="auto">
                    <orion:titlebar text="${selectedGroupsTitleMessage}" id="mtID_SelectedGroupsTitle"/>
                    <orion:hbox height="auto" id="groupsBox">
                        <orion:infobox id="emptyMessage" text="${emptyMessageText}"/>
                        <orion:table2 registeredTypeUID="ENDP_MIG_META.rt.SubSystemTreeSelector"
                                      cellRendererAttr="${subTreeHistory_cellRendererAttr}"
                                      id="subTreeMigrationHistoryTable"
                                      showCheckboxColumn="false"
                                      enableDrilldown="false"
                                      showTitleBar="false"
                                      showZebraStriping="false"
                                      datasourceAttr="${subTreeHistory_datasourceAttr}"/>

                    </orion:hbox>
                    <orion:hbox height="32">
                        <orion:box>
                            <orion:footerbar>
                                <orion:message key="common.Back" var="backText" escape="none"/>
                                <orion:message key="common.Next" var="nextText" escape="none"/>
                                <orion:message key="common.Cancel" var="declineText" escape="none"/>
                                <orion:button id="stBackButton" text="${backText}" onclick="fnOnBack()"/>
                                <orion:button id="stNextButton" text="${nextText}" onclick="fnOnNext()"/>
                            </orion:footerbar>
                            <input type="hidden" id="inputhiddenID" name="nodeID" value="" />
                            <input type="hidden" id="inputhiddenKey" name="nodeKey" value="" />
                            <input type="hidden" id="inputhiddenType" name="nodeType" value="" />
                        </orion:box>
                    </orion:hbox>
                </orion:vbox>
            </orion:hbox>
        </orion:content>
    </orion:corebody>
</orion:core>
