<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>

<orion:core>
    <orion:corehead>
        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:style context="/ENDP_MIG_META" url="/common/coreBody.css"/>
        <orion:script context="/ENDP_MIG_META" src="/js/CommonHelp.js"/>
        <orion:message var="boxTitle" key="common.MigrationAssistant" escape="none"/>
        <orion:message var="dialogText1" key="migration.wizard.task.summary.navigation1" escape="none"/>
        <orion:message var="dialogText2" key="migration.wizard.task.summary.navigation2" escape="none"/>
        <script type="text/javascript">

            function navigateMain()
            {
                $('direction').value = "main";
                navigateFinal();
            }

            function navigateTask()
            {
                $('direction').value = "task";
                navigateFinal();
            }

            function navigateFinal()
            {
                OrionWizard.navigateStep( OrionWizard.STEP_FINAL);
            }

            function displayNavigationSelector()
            {
                OrionCore.dialogBoxYesHandler = navigateTask;
                OrionCore.dialogBoxNoHandler = navigateMain;
                OrionCore.setDialogBoxTitle("${boxTitle}");
                var message = "<br/>${dialogText1}<br/><br/>${dialogText2}";
                OrionCore.showDialogBox(true, message, OrionCore.DIALOG_YES_NO);
            }
            function fnWizardLocalOnLoad()
            {
                /***** Overwrite OrionWizard.navigateFinal function to display navigation option *****/
                var ENSWizardNavigateFinal = OrionWizard.navigateFinal;
                OrionWizard.navigateFinal = function ()
                {
                    displayNavigationSelector();
                }

                setHelpId("GUID-14CB707F-A6A3-40AE-B069-D95E5F2B1E3B.html");
            }
        </script

    </orion:corehead>
    <orion:corebody onload="fnTaskWizardOnLoad()">
        <orion:navigation/>
        <orion:content>
            <orion:vbox>
                <orion:hbox height="24" id="wizardBreadCrumb">
                    <orion:wizard id="migration.wizard"
                                  currentStep="${currentStep}"
                                  editMode="false"
                                  text="${wizardTitle}"
                                  wizardInfo="${wizardInfo}"
                                  cancelURI="/ENDP_MIG_META/cancelTaskWizard.do"
                                  submitMethod="post"/>
                </orion:hbox>
                <orion:hbox height="48">
                    <orion:box>
                        <div class="wizardSourceHeader">
                            <orion:message key="migration.wizard.taskMigrationSummary" escape="html"/>
                        </div>
                    </orion:box>
                </orion:hbox>
                <orion:hbox>
                    <c:forEach var="tab" items="${tabs}">
                        <c:if test="${tab.tabName != 'taskSummary'}">
                            <br/>
                            <br/>
                            &nbsp;&nbsp;
                            <orion:message key="migration.wizard.taskColonKey" escape="html"/>
                            <a class="orionWizardStepVisitedEnabled" href="#"
                               onclick="OrionWizard.onHeaderClick( event, '${tab.tabName}', OrionWizard.NAVIGATE_BACK );"
                               style="background-image: none; color: #21527D">${orion:escapeHtml(tab.name)}</a>
                            <hr/>
                            <table class="tableFullWidth">
                                <tr>
                                    <td class="orionSummaryHeader" valign="top">
                                        <orion:message key="common.Product" escape="html"/>
                                    </td>
                                    <td class="orionSummaryColumn" valign="top">
                                            ${orion:escapeHtml(tab.taskProduct)}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="orionSummaryHeader" valign="top">
                                        <orion:message key="common.Category" escape="html"/>
                                    </td>
                                    <td class="orionSummaryColumn" valign="top">
                                            ${orion:escapeHtml(tab.taskType)}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="orionSummaryHeader" valign="top">
                                        <orion:message key="common.Notes" escape="html"/>
                                    </td>
                                    <td class="orionSummaryColumn" valign="top">
                                            ${orion:escapeHtml(tab.notes)}
                                    </td>
                                </tr>
                            </table>
                        </c:if>
                    </c:forEach>

                </orion:hbox>
                <orion:hbox height="32">
                    <orion:vbox>
                        <orion:footerbar>
                            <orion:previous-next currentStep="${currentStep}"
                                                 editMode="false"
                                                 wizardInfo="${wizardInfo}"/>
                        </orion:footerbar>
                    </orion:vbox>
                </orion:hbox>
            </orion:vbox>
            <input type="hidden" id="summaryID" name="summaryID" value="${summaryID}"/>
            <input type="hidden" id="direction" name="direction"/>
        </orion:content>
    </orion:corebody>
</orion:core>