<%@ taglib prefix="orion" uri="http://www.mcafee.com/orion" %>

<style>
    tr.queryConditionTableRow td:last-child {
        display: none;
    }

    tr.queryConditionTableRow td:nth-child(3) {
        display: none;
    }

    /* Remove the value cells */
    #val-cell {
        display: none;
    }

    /* Hide the and/or buttons */
    td#prop-cell > span:nth-child(2) {
        display: none;
    }

    /* Hide the word and Bug 1083097 */
    td#prop-cell > span:nth-child(3) {
        display: none;
    }

    /* Make Header Rows Semi-Black */
    tr.orionGreenTableRow td:first-child {
        color: #4d4c4a;
    }

    tr.orionGreenTableRow td:first-child + td {
        display: none;
    }

</style>

<orion:core>
    <orion:message var="categoryText" key="common.Category" escape="none"/>
    <orion:message var="taskText" key="common.Task" escape="none"/>
    <orion:message var="requiredMessage" key="common.starRequired" escape="none"/>
    <orion:message var="duplicateMessage" key="common.duplicateMessage" escape="none"/>
    <orion:message var="tasksAvailableText" key="common.tasks.available" escape="none"/>
    <orion:corehead>
        <orion:script context="/ENDP_MIG_META" src="/js/common.js"/>
        <orion:script context="/ENDP_MIG_META" src="/js/CommonHelp.js"/>
        <script type="text/javascript">
            function fnDisplayWizard()
            {
                OrionCore.doFormAction("/ENDP_MIG_META/displayTaskWizard.do", null);
            }

            function updateConditionHeader()
            {
                $j('.queryConditionTableRow')[0].childNodes[1].innerHTML = '${categoryText}';
                $j('.queryConditionTableRow')[0].childNodes[3].innerHTML = '${taskText}';
                $j('.queryConditionTableRow').append('<td></td>');
            }
            function _onCriteriaChange(bValid)
            {
                validateTaskSelections();
            }

            function updateAvailablePropertiesLabel()
            {
                var listTitleLabel = document.getElementById("listTitle_label");
                if (listTitleLabel) {
                    listTitleLabel.innerHTML = '${tasksAvailableText}';
                }
            }

            function fnLocalOnLoad()
            {
                updateConditionHeader();
                CriteriaBuilder.setChangeHandler(_onCriteriaChange);
                setHelpId("GUID-05BB1049-43F9-4456-A0A4-6697B287C831.html");
                updateAvailablePropertiesLabel();
            }

            function fnloadPolicyWizard()
            {
                OrionCore.showPleaseWait(true);
                $('conditionXML').value = CriteriaBuilder.getCriteriaXML();
                OrionCore.doFormAction("/ENDP_MIG_META/loadTaskWizard.do");
            }

            function findDuplicate(index, propKey, optionValue)
            {
                var retval = false;
                var table = $(CriteriaBuilder.COND_TABLE);
                for (var i = 0; i < table.rows.length; i++)
                {
                    if (i != index)
                    {
                        var currentRow = table.rows[i];
                        if (currentRow.className == "orionGreenTableRow")
                        {
                            //this is the green row - skip it
                        }
                        else
                        {
                            var currentPropKey = CriteriaBuilder.getRowPropKey(currentRow);
                            if (currentPropKey == propKey)
                            {
                                if (currentRow.cells[CriteriaBuilder.OP_CELL_NUM] && (currentRow.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value > 0))
                                {
                                    var currentOptionValue = currentRow.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value;
                                    if (currentOptionValue == optionValue)
                                    {
                                        //if the duplicate message has already been inserted do not insert it again
                                        if ((currentRow.cells[CriteriaBuilder.OP_CELL_NUM].childNodes[1]) && (currentRow.cells[CriteriaBuilder.OP_CELL_NUM].childNodes[1].tagName.toLowerCase() == "span"))
                                        {
                                            //do nothing - the duplicate message is already present
                                        }
                                        else
                                        {
                                            currentRow.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='taskValueErrorMessage' style='color:red;width:150px;display:inline-block'>&nbsp;${duplicateMessage}</span>");
                                        }
                                        retval = true;
                                    }
                                }
                            }
                        }
                    }
                }
                return retval;
            }

            function validateTaskSelections()
            {
                var selectionsValid = true;
                var duplicateFound = false;
                var anyDuplicates = false;
                $j('.taskValueErrorMessage').remove();
                var table = $(CriteriaBuilder.COND_TABLE);

                //for (var i = table.rows.length - 1; i >= 0; i--)
                for (var i = 0; i < table.rows.length; i++)
                {
                    var row = table.rows[i];

                    if (row.className == "orionGreenTableRow")
                    {
                        //this is the green row - skip it
                    }
                    else
                    {
                        var propKey = CriteriaBuilder.getRowPropKey(row);
                        if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value > 0))
                        {
                            var optionValue = row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value;
                            //for each row we go through the table and make sure there are no duplicates
                            duplicateFound = findDuplicate(i, propKey, optionValue);
                            anyDuplicates = anyDuplicates || duplicateFound;
                        }
                    }
                }

                for (var i = table.rows.length - 1; i >= 0; i--)
                {
                    var row = table.rows[i];
                    if (row.cells[CriteriaBuilder.OP_CELL_NUM] && (row.cells[CriteriaBuilder.OP_CELL_NUM].firstChild.value < 0))
                    {
                        row.cells[CriteriaBuilder.OP_CELL_NUM].style.width="426px";
                        row.cells[CriteriaBuilder.OP_CELL_NUM].insertAdjacentHTML('beforeend', "<span class='taskValueErrorMessage' style='color:red;width:150px;display:inline-block'>&nbsp;${requiredMessage}</span>");
                        selectionsValid = false;
                    }
                }
                var atLeastOneRow = table.rows.length > 0;
                OrionCore.setEnabledById('nextButton', atLeastOneRow && selectionsValid && !anyDuplicates);
            }

        </script>
    </orion:corehead>
    <orion:corebody onload="fnLocalOnLoad()">
        <orion:tunnelPage>
            <orion:vbox>
                <orion:message var="emptyMessage" key="migration.wizard.taskSelectMessage" escape="none"/>
                <orion:criteriabuilder id="taskSelectorBuilder"
                                       context="/ENDP_MIG_META"
                                       listContentURI="loadTaskSelector.do"
                                       displayTypeURI="loadTaskSelectorDisplayType.do"
                                       emptyText="${emptyMessage}"/>
                <input type="hidden" id="conditionXML" name="conditionXML"/>

                <orion:footerbar>
                    <orion:message key="common.Back" var="backText" escape="none"/>
                    <orion:message key="common.Next" var="nextText" escape="none"/>

                    <orion:button id="backButton" text="${backText}"
                                  onclick="OrionNavigation.navigate('/ENDP_MIG_META/displayLandingPage.do', true)"/>
                    <orion:button id="nextButton" text="${nextText}" onclick="fnloadPolicyWizard()" disabled="true"/>
                </orion:footerbar>
            </orion:vbox>
        </orion:tunnelPage>
    </orion:corebody>
</orion:core>
